Bug 1398491 - qemu + network hangs when loading iPXE option ROM
Summary: qemu + network hangs when loading iPXE option ROM
Keywords:
Status: CLOSED DUPLICATE of bug 1464654
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: ipxe
Version: 7.3
Hardware: x86_64
OS: Linux
unspecified
urgent
Target Milestone: rc
: ---
Assignee: Lenny Szubowicz
QA Contact: Ma Yuying
URL:
Whiteboard:
Depends On:
Blocks: TRACKER-bugs-affecting-libguestfs
TreeView+ depends on / blocked
 
Reported: 2016-11-25 02:04 UTC by Star
Modified: 2017-06-24 11:54 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-06-24 11:54:32 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Star 2016-11-25 02:04:40 UTC
Description of problem:

I prepare a RHEL7.3 server, and install virt-v2v tool on it.
Then I use it to migrate windows 2012 r2 vm from vmware vSphere 5.1 to RHEVM.
But the process hang on "iPXE (http://ipxe.org) 00:05.0 C100 PCI2.10 PnP PMM" status.

Version-Release number of selected component (if applicable):

virt-v2v-1.32.7-3.el7.x86_64
libguestfs-1.32.7-3.el7.x86_64
libguestfs-winsupport-7.2-1.el7.x86_64
libguestfs-tools-c-1.32.7-3.el7.x86_64
virtio-win-1.9.0-3.el7.noarch

How reproducible:

100%

Steps to Reproduce:
1.virt-v2v -v -ic 'vpx://domain%5cyour_account@vc_server/path/esx_hostname?no_verify=1' -o rhev -os storage_ip:/Export_Domain --network rhevm vm_name
2. always stay on "iPXE (http://ipxe.org) 00:05.0 C100 PCI2.10 PnP PMM"

Actual results:

[root@hqav2v02 ~]# virt-v2v -v -ic 'vpx://domain%5cyour_account@vc_server/path/esx_hostname?no_verify=1' -o rhev -os storage_ip:/Export_Domain --network rhevm vm_name
virt-v2v: libguestfs 1.32.7 (x86_64)
[   0.0] Opening the source -i libvirt -ic vpx://domain%5cyour_account@vc_server/path/esx_hostname?no_verify=1 WIN2012V2V
input_libvirt_vcenter_https: source: scheme vpx server vc_server
Enter domain\account's password for vc_server: 
libvirt xml is:
<domain type='vmware' xmlns:vmware='http://libvirt.org/schemas/domain/vmware/1.0'>
  <name>WIN2012V2V</name>
  <uuid>421237c0-e924-106a-717e-c2339381e2cc</uuid>
  <memory unit='KiB'>4194304</memory>
  <currentMemory unit='KiB'>4194304</currentMemory>
  <vcpu placement='static'>2</vcpu>
  <cputune>
    <shares>2000</shares>
  </cputune>
  <os>
    <type arch='x86_64'>hvm</type>
  </os>
  <clock offset='utc'/>
  <on_poweroff>destroy</on_poweroff>
  <on_reboot>restart</on_reboot>
  <on_crash>destroy</on_crash>
  <devices>
    <disk type='file' device='disk'>
      <source file='[VPLEX_HQ58_2_ESXCLU1_1TB_LUN_107] WIN2012V2V/WIN2012V2V.vmdk'/>
      <target dev='sda' bus='scsi'/>
      <address type='drive' controller='0' bus='0' target='0' unit='0'/>
    </disk>
    <controller type='scsi' index='0' model='vmpvscsi'/>
    <interface type='bridge'>
      <mac address='00:50:56:92:00:fb'/>
      <source bridge='IT_OA_135'/>
      <model type='vmxnet3'/>
    </interface>
    <video>
      <model type='vmvga' vram='4096' primary='yes'/>
    </video>
  </devices>
  <vmware:datacenterpath>HQ</vmware:datacenterpath>
</domain>

vcenter: using <vmware:datacenterpath> from libvirt: HQ
Enter host password for user 'mediatek.inc\iuser_oncall7x24':
'curl' -q --max-redirs '5' --globoff --head --silent --url 'https://vc_name/folder/WIN2012V2V/WIN2012V2V-flat.vmdk?dcPath=HQ&dsName=VPLEX%5fHQ58%5f2%5fESXCLU1%5f1TB%5fLUN%5f107' --user <hidden> --insecure
HTTP/1.1 200 OK
Date: Thu, 24 Nov 2016 16:26:35 GMT
Set-Cookie: vmware_soap_session="52fb7766-b18b-c430-2a97-42ccb49fa73c"; Path=/; HttpOnly; 
Accept-Ranges: bytes
Connection: Keep-Alive
Content-Type: application/octet-stream
Content-Length: 42949672960

vcenter: json parameters: { "file.cookie": "vmware_soap_session=\"52fb7766-b18b-c430-2a97-42ccb49fa73c\"", "file.sslverify": "off", "file.driver": "https", "file.url": "https://vc_server/folder/WIN2012V2V/WIN2012V2V-flat.vmdk?dcPath=HQ&dsName=VPLEX%5fHQ58%5f2%5fESXCLU1%5f1TB%5fLUN%5f107", "file.timeout": 2000 }
    source name: WIN2012V2V
hypervisor type: vmware
         memory: 4294967296 (bytes)
       nr vCPUs: 2
   CPU features: 
       firmware: unknown
        display: 
          sound: 
disks:
	json: { "file.cookie": "vmware_soap_session=\"52fb7766-b18b-c430-2a97-42ccb49fa73c\"", "file.sslverify": "off", "file.driver": "https", "file.url": "https://vc_server/folder/WIN2012V2V/WIN2012V2V-flat.vmdk?dcPath=HQ&dsName=VPLEX%5fHQ58%5f2%5fESXCLU1%5f1TB%5fLUN%5f107", "file.timeout": 2000 } (raw) [scsi]
removable media:

NICs:
	Bridge "IT_OA_135" mac: 00:50:56:92:00:fb

check_host_free_space: overlay_dir=/var/tmp free_space=51680882688
[  25.3] Creating an overlay to protect the source from being modified
qemu-img 'create' '-q' '-f' 'qcow2' '-b' 'json: { "file.cookie": "vmware_soap_session=\"52fb7766-b18b-c430-2a97-42ccb49fa73c\"", "file.sslverify": "off", "file.driver": "https", "file.url": "https://vc_server/folder/WIN2012V2V/WIN2012V2V-flat.vmdk?dcPath=HQ&dsName=VPLEX%5fHQ58%5f2%5fESXCLU1%5f1TB%5fLUN%5f107", "file.timeout": 2000 }' '-o' 'compat=1.1,backing_fmt=raw' '/var/tmp/v2vovl4872a1.qcow2'
libguestfs: command: run: qemu-img
libguestfs: command: run: \ --help
libguestfs: which_parser: g->qemu_img_info_parser = 1
libguestfs: command: run: qemu-img
libguestfs: command: run: \ info
libguestfs: command: run: \ --output json
libguestfs: command: run: \ /dev/fd/4
libguestfs: parse_json: qemu-img info JSON output:\n{\n    "backing-filename-format": "raw", \n    "virtual-size": 42949672960, \n    "filename": "/dev/fd/4", \n    "cluster-size": 65536, \n    "format": "qcow2", \n    "actual-size": 200704, \n    "format-specific": {\n        "type": "qcow2", \n        "data": {\n            "compat": "1.1", \n            "lazy-refcounts": false\n        }\n    }, \n    "backing-filename": "json: { \"file.cookie\": \"vmware_soap_session=\\\"52fb7766-b18b-c430-2a97-42ccb49fa73c\\\"\", \"file.sslverify\": \"off\", \"file.driver\": \"https\", \"file.url\": \"https://vc_server/folder/WIN2012V2V/WIN2012V2V-flat.vmdk?dcPath=HQ&dsName=VPLEX%5fHQ58%5f2%5fESXCLU1%5f1TB%5fLUN%5f107\", \"file.timeout\": 2000 }", \n    "dirty-flag": false\n}\n\n
libguestfs: command: run: qemu-img
libguestfs: command: run: \ --help
libguestfs: which_parser: g->qemu_img_info_parser = 1
libguestfs: command: run: qemu-img
libguestfs: command: run: \ info
libguestfs: command: run: \ --output json
libguestfs: command: run: \ /dev/fd/4
libguestfs: parse_json: qemu-img info JSON output:\n{\n    "backing-filename-format": "raw", \n    "virtual-size": 42949672960, \n    "filename": "/dev/fd/4", \n    "cluster-size": 65536, \n    "format": "qcow2", \n    "actual-size": 200704, \n    "format-specific": {\n        "type": "qcow2", \n        "data": {\n            "compat": "1.1", \n            "lazy-refcounts": false\n        }\n    }, \n    "backing-filename": "json: { \"file.cookie\": \"vmware_soap_session=\\\"52fb7766-b18b-c430-2a97-42ccb49fa73c\\\"\", \"file.sslverify\": \"off\", \"file.driver\": \"https\", \"file.url\": \"https://vc_server/folder/WIN2012V2V/WIN2012V2V-flat.vmdk?dcPath=HQ&dsName=VPLEX%5fHQ58%5f2%5fESXCLU1%5f1TB%5fLUN%5f107\", \"file.timeout\": 2000 }", \n    "dirty-flag": false\n}\n\n
[  26.3] Initializing the target -o rhev -os 192.168.0.32:/LABKVM_Export_Domain
mount '192.168.0.32:/Export_Domain' '/tmp/v2v.3zipMI'
RHEV: ESD mountpoint: /tmp/v2v.3zipMI
RHEV: ESD UUID: ea8c43a1-e846-40dc-bb7d-1dd536c46967
RHEV: actual UID:GID of new files is 36:36
uuidgen -r
uuidgen -r
uuidgen -r
RHEV: will export sda to /tmp/v2v.3zipMI/ea8c43a1-e846-40dc-bb7d-1dd536c46967/images/3c3a10e4-6159-4136-9ac6-6fb2229fd7e6/5a9e04d1-36c1-4305-a563-0c520c804c4e
[  26.4] Opening the overlay
libguestfs: launch: program=virt-v2v
libguestfs: launch: identifier=v2v
libguestfs: launch: version=1.32.7rhel=7,release=3.el7,libvirt
libguestfs: launch: backend registered: unix
libguestfs: launch: backend registered: uml
libguestfs: launch: backend registered: libvirt
libguestfs: launch: backend registered: direct
libguestfs: launch: backend=direct
libguestfs: launch: tmpdir=/tmp/libguestfszdepP4
libguestfs: launch: umask=0022
libguestfs: launch: euid=0
libguestfs: is_openable: /dev/kvm: No such file or directory
libguestfs: begin building supermin appliance
libguestfs: run supermin
libguestfs: command: run: /usr/bin/supermin5
libguestfs: command: run: \ --build
libguestfs: command: run: \ --verbose
libguestfs: command: run: \ --if-newer
libguestfs: command: run: \ --lock /var/tmp/.guestfs-0/lock
libguestfs: command: run: \ --copy-kernel
libguestfs: command: run: \ -f ext2
libguestfs: command: run: \ --host-cpu x86_64
libguestfs: command: run: \ /usr/lib64/guestfs/supermin.d
libguestfs: command: run: \ -o /var/tmp/.guestfs-0/appliance.d
supermin: version: 5.1.16
supermin: rpm: detected RPM version 4.11
supermin: package handler: fedora/rpm
supermin: acquiring lock on /var/tmp/.guestfs-0/lock
supermin: if-newer: output does not need rebuilding
libguestfs: finished building supermin appliance
libguestfs: begin testing qemu features
libguestfs: command: run: /usr/libexec/qemu-kvm
libguestfs: command: run: \ -display none
libguestfs: command: run: \ -help
libguestfs: qemu version 1.5
libguestfs: command: run: /usr/libexec/qemu-kvm
libguestfs: command: run: \ -display none
libguestfs: command: run: \ -machine accel=kvm:tcg
libguestfs: command: run: \ -device ?
libguestfs: finished testing qemu features
libguestfs: command: run: dmesg | grep -Eoh 'lpj=[[:digit:]]+'
libguestfs: read_lpj_from_dmesg: calculated lpj=2693509
[00283ms] /usr/libexec/qemu-kvm \
    -global virtio-blk-pci.scsi=off \
    -nodefconfig \
    -enable-fips \
    -nodefaults \
    -display none \
    -machine accel=kvm:tcg \
    -m 800 \
    -no-reboot \
    -rtc driftfix=slew \
    -no-hpet \
    -global kvm-pit.lost_tick_policy=discard \
    -kernel /var/tmp/.guestfs-0/appliance.d/kernel \
    -initrd /var/tmp/.guestfs-0/appliance.d/initrd \
    -object rng-random,filename=/dev/urandom,id=rng0 \
    -device virtio-rng-pci,rng=rng0 \
    -device virtio-scsi-pci,id=scsi \
    -drive file=/var/tmp/v2vovl4872a1.qcow2,cache=unsafe,discard=unmap,format=qcow2,copy-on-read=on,id=hd0,if=none \
    -device scsi-hd,drive=hd0 \
    -drive file=/var/tmp/.guestfs-0/appliance.d/root,snapshot=on,id=appliance,cache=unsafe,if=none,format=raw \
    -device scsi-hd,drive=appliance \
    -device virtio-serial-pci \
    -serial stdio \
    -device sga \
    -chardev socket,path=/tmp/libguestfszdepP4/guestfsd.sock,id=channel0 \
    -device virtserialport,chardev=channel0,name=org.libguestfs.channel.0 \
    -netdev user,id=usernet,net=169.254.0.0/16 \
    -device virtio-net-pci,netdev=usernet \
    -append 'panic=1 console=ttyS0 udevtimeout=6000 udev.event-timeout=6000 no_timer_check lpj=2693509 printk.time=1 cgroup_disable=memory usbcore.nousb cryptomgr.notests 8250.nr_uarts=1 root=/dev/sdb selinux=0 guestfs_verbose=1 guestfs_network=1 TERM=xterm guestfs_identifier=v2v'
Could not access KVM kernel module: No such file or directory
failed to initialize KVM: No such file or directory
Back to tcg accelerator.
libguestfs: responding to serial console Device Status Report
\x1b[1;256r\x1b[256;256H\x1b[6n
Google, Inc.
Serial Graphics Adapter 12/29/13
SGABIOS $Id: sgabios.S 8 2010-04-22 00:03:40Z nlaredo $ (mockbuild@) Sun Dec 29 03:43:06 UTC 2013
Term: 80x24
4 0
SeaBIOS (version 1.9.1-5.el7)


iPXE (http://ipxe.org) 00:05.0 C100 PCI2.10 PnP PMM

I always stay the status.  orz

Comment 2 Richard W.M. Jones 2016-11-25 16:05:04 UTC
Run:

  libguestfs-test-tool

on the v2v server and attach the complete output.

Comment 3 Star 2016-11-28 02:25:37 UTC
Dear Richard,
thanks for your response.
the following log was the result of "libguestfs-test-tool" command.

---------------------------------
[root@hqav2v02 ~]# libguestfs-test-tool

     ************************************************************
     *                    IMPORTANT NOTICE
     *
     * When reporting bugs, include the COMPLETE, UNEDITED
     * output below in your bug report.
     *
     ************************************************************
PATH=/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/root/bin
SELinux: Disabled
guestfs_get_append: (null)
guestfs_get_autosync: 1
guestfs_get_backend: libvirt
guestfs_get_backend_settings: []
guestfs_get_cachedir: /var/tmp
guestfs_get_direct: 0
guestfs_get_hv: /usr/libexec/qemu-kvm
guestfs_get_memsize: 500
guestfs_get_network: 0
guestfs_get_path: /usr/lib64/guestfs
guestfs_get_pgroup: 0
guestfs_get_program: libguestfs-test-tool
guestfs_get_recovery_proc: 1
guestfs_get_smp: 1
guestfs_get_tmpdir: /tmp
guestfs_get_trace: 0
guestfs_get_verbose: 1
host_cpu: x86_64
Launching appliance, timeout set to 600 seconds.
libguestfs: launch: program=libguestfs-test-tool
libguestfs: launch: version=1.32.7rhel=7,release=3.el7,libvirt
libguestfs: launch: backend registered: unix
libguestfs: launch: backend registered: uml
libguestfs: launch: backend registered: libvirt
libguestfs: launch: backend registered: direct
libguestfs: launch: backend=libvirt
libguestfs: launch: tmpdir=/tmp/libguestfsPg4YC2
libguestfs: launch: umask=0022
libguestfs: launch: euid=0
libguestfs: libvirt version = 2000000 (2.0.0)
libguestfs: guest random name = guestfs-j1wds3q9bdnx2893
libguestfs: connect to libvirt
libguestfs: opening libvirt handle: URI = qemu:///system, auth = default+wrapper, flags = 0
libguestfs: successfully opened libvirt handle: conn = 0x7fe36be28f80
libguestfs: qemu version (reported by libvirt) = 1005003 (1.5.3)
libguestfs: get libvirt capabilities
libguestfs: parsing capabilities XML
libguestfs: build appliance
libguestfs: begin building supermin appliance
libguestfs: run supermin
libguestfs: command: run: /usr/bin/supermin5
libguestfs: command: run: \ --build
libguestfs: command: run: \ --verbose
libguestfs: command: run: \ --if-newer
libguestfs: command: run: \ --lock /var/tmp/.guestfs-0/lock
libguestfs: command: run: \ --copy-kernel
libguestfs: command: run: \ -f ext2
libguestfs: command: run: \ --host-cpu x86_64
libguestfs: command: run: \ /usr/lib64/guestfs/supermin.d
libguestfs: command: run: \ -o /var/tmp/.guestfs-0/appliance.d
supermin: version: 5.1.16
supermin: rpm: detected RPM version 4.11
supermin: package handler: fedora/rpm
supermin: acquiring lock on /var/tmp/.guestfs-0/lock
supermin: if-newer: output does not need rebuilding
libguestfs: finished building supermin appliance
libguestfs: command: run: qemu-img
libguestfs: command: run: \ create
libguestfs: command: run: \ -f qcow2
libguestfs: command: run: \ -o backing_file=/var/tmp/.guestfs-0/appliance.d/root,backing_fmt=raw
libguestfs: command: run: \ /tmp/libguestfsPg4YC2/overlay2
Formatting '/tmp/libguestfsPg4YC2/overlay2', fmt=qcow2 size=4294967296 backing_file='/var/tmp/.guestfs-0/appliance.d/root' backing_fmt='raw' encryption=off cluster_size=65536 lazy_refcounts=off 
libguestfs: set_socket_create_context: getcon failed: (none): Invalid argument [you can ignore this message if you are not using SELinux + sVirt]
libguestfs: clear_socket_create_context: setsockcreatecon failed: NULL: Invalid argument [you can ignore this message if you are not using SELinux + sVirt]
libguestfs: create libvirt XML
libguestfs: command: run: dmesg | grep -Eoh 'lpj=[[:digit:]]+'
libguestfs: read_lpj_from_dmesg: calculated lpj=2693509
libguestfs: libvirt XML:\n<?xml version="1.0"?>\n<domain type="qemu" xmlns:qemu="http://libvirt.org/schemas/domain/qemu/1.0">\n  <name>guestfs-j1wds3q9bdnx2893</name>\n  <memory unit="MiB">500</memory>\n  <currentMemory unit="MiB">500</currentMemory>\n  <vcpu>1</vcpu>\n  <clock offset="utc">\n    <timer name="rtc" tickpolicy="catchup"/>\n    <timer name="pit" tickpolicy="delay"/>\n    <timer name="hpet" present="no"/>\n  </clock>\n  <os>\n    <type>hvm</type>\n    <kernel>/var/tmp/.guestfs-0/appliance.d/kernel</kernel>\n    <initrd>/var/tmp/.guestfs-0/appliance.d/initrd</initrd>\n    <cmdline>panic=1 console=ttyS0 udevtimeout=6000 udev.event-timeout=6000 no_timer_check lpj=2693509 printk.time=1 cgroup_disable=memory usbcore.nousb cryptomgr.notests 8250.nr_uarts=1 root=/dev/sdb selinux=0 guestfs_verbose=1 TERM=xterm</cmdline>\n    <bios useserial="yes"/>\n  </os>\n  <on_reboot>destroy</on_reboot>\n  <devices>\n    <rng model="virtio">\n      <backend model="random">/dev/urandom</backend>\n    </rng>\n    <controller type="scsi" index="0" model="virtio-scsi"/>\n    <disk device="disk" type="file">\n      <source file="/tmp/libguestfsPg4YC2/scratch.1"/>\n      <target dev="sda" bus="scsi"/>\n      <driver name="qemu" type="raw" cache="unsafe"/>\n      <address type="drive" controller="0" bus="0" target="0" unit="0"/>\n    </disk>\n    <disk type="file" device="disk">\n      <source file="/tmp/libguestfsPg4YC2/overlay2"/>\n      <target dev="sdb" bus="scsi"/>\n      <driver name="qemu" type="qcow2" cache="unsafe"/>\n      <address type="drive" controller="0" bus="0" target="1" unit="0"/>\n      <shareable/>\n    </disk>\n    <serial type="unix">\n      <source mode="connect" path="/tmp/libguestfsPg4YC2/console.sock"/>\n      <target port="0"/>\n    </serial>\n    <channel type="unix">\n      <source mode="connect" path="/tmp/libguestfsPg4YC2/guestfsd.sock"/>\n      <target type="virtio" name="org.libguestfs.channel.0"/>\n    </channel>\n  </devices>\n  <qemu:commandline>\n    <qemu:env name="TMPDIR" value="/var/tmp"/>\n  </qemu:commandline>\n</domain>\n
libguestfs: command: run: ls
libguestfs: command: run: \ -a
libguestfs: command: run: \ -l
libguestfs: command: run: \ -R
libguestfs: command: run: \ -Z /var/tmp/.guestfs-0
libguestfs: /var/tmp/.guestfs-0:
libguestfs: drwxr-xr-x. root root unconfined_u:object_r:user_tmp_t:s0 .
libguestfs: drwxrwxrwt. root root system_u:object_r:tmp_t:s0       ..
libguestfs: drwxr-xr-x. root root unconfined_u:object_r:user_tmp_t:s0 appliance.d
libguestfs: -rw-r--r--. root root unconfined_u:object_r:user_tmp_t:s0 lock
libguestfs: 
libguestfs: /var/tmp/.guestfs-0/appliance.d:
libguestfs: drwxr-xr-x. root root unconfined_u:object_r:user_tmp_t:s0 .
libguestfs: drwxr-xr-x. root root unconfined_u:object_r:user_tmp_t:s0 ..
libguestfs: -rw-r--r--. root root unconfined_u:object_r:user_tmp_t:s0 initrd
libguestfs: -rwxr-xr-x. root root unconfined_u:object_r:user_tmp_t:s0 kernel
libguestfs: -rw-r--r--. root root unconfined_u:object_r:user_tmp_t:s0 root
libguestfs: command: run: ls
libguestfs: command: run: \ -a
libguestfs: command: run: \ -l
libguestfs: command: run: \ -Z /tmp/libguestfsPg4YC2
libguestfs: drwxr-xr-x  root root ?                                .
libguestfs: drwxrwxrwt. root root system_u:object_r:tmp_t:s0       ..
libguestfs: srw-rw----  root qemu ?                                console.sock
libguestfs: srw-rw----  root qemu ?                                guestfsd.sock
libguestfs: -rw-r--r--  root root ?                                overlay2
libguestfs: -rw-r--r--  root root ?                                scratch.1
libguestfs: launch libvirt guest
libguestfs: responding to serial console Device Status Report
\x1b[1;256r\x1b[256;256H\x1b[6n
Google, Inc.
Serial Graphics Adapter 12/29/13
SGABIOS $Id: sgabios.S 8 2010-04-22 00:03:40Z nlaredo $ (mockbuild@) Sun Dec 29 03:43:06 UTC 2013
Term: 80x24
4 0
SeaBIOS (version 1.9.1-5.el7)
Machine UUID 0560e93d-b427-4d72-bb95-d76c17fb6d81
Booting from ROM...
Probing EDD (edd=off to disable)... ok
\x1b[2J[    0.000000] Initializing cgroup subsys cpuset
[    0.000000] Initializing cgroup subsys cpu
[    0.000000] Initializing cgroup subsys cpuacct
[    0.000000] Linux version 3.10.0-514.el7.x86_64 (mockbuild@x86-039.build.eng.bos.redhat.com) (gcc version 4.8.5 20150623 (Red Hat 4.8.5-11) (GCC) ) #1 SMP Wed Oct 19 11:24:13 EDT 2016
[    0.000000] Command line: panic=1 console=ttyS0 udevtimeout=6000 udev.event-timeout=6000 no_timer_check lpj=2693509 printk.time=1 cgroup_disable=memory usbcore.nousb cryptomgr.notests 8250.nr_uarts=1 root=/dev/sdb seliux=0 guestfs_verbose=1 TERM=xterm
[    0.000000] e820: BIOS-provided physical RAM map:
[    0.000000] BIOS-e820: [mem 0x0000000000000000-0x000000000009f7ff] usable
[    0.000000] BIOS-e820: [mem 0x000000000009f800-0x000000000009ffff] reserved
[    0.000000] BIOS-e820: [mem x00000000000f0000-0x00000000000fffff] reserved
[    0.000000] BIOS-e820: [mem 0x0000000000100000-0x000000001f3fbfff] usable
[    0.000000] BIOS-e820: [mem 0x000000001f3fc000-0x000000001f3fffff] reserved
[    0.000000] BIOS-e820: [mem 0x00000000fffc0000-0x00000000ffffffff] reerved
[    0.000000] NX (Execute Disable) protection: active
[    0.000000] SMBIOS 2.4 present.
[    0.000000] e820: last_pfn = 0x1f3fc max_arch_pfn = 0x400000000
[    0.000000] x86 PAT enabled: cpu 0, old 0x7040600070406, new 0x7010600070106
[    0.000000] found SMP MP-tale at [mem 0x000f73d0-0x000f73df] mapped at [ffff8800000f73d0]
[    0.000000] RAMDISK: [mem 0x1f0da000-0x1f3effff]
[    0.000000] ACPI BIOS Error (bug): A valid RSDP was not found (20130517/tbxfroot-218)
[    0.000000] No NUMA configuration found
[    0.000000] Faking a nod at [mem 0x0000000000000000-0x000000001f3fbfff]
[    0.000000] Initmem setup node 0 [mem 0x00000000-0x1f3fbfff]
[    0.000000]   NODE_DATA [mem 0x1f0b3000-0x1f0d9fff]
[    0.000000] Zone ranges:
[    0.000000]   DMA      [mem 0x00001000-0x00ffffff]
[    0.000000]   DMA32    [mem 0x01000000-0xffffffff]
[    0.000000]   Normal   empty
[    0.000000] Movable zone start for each node
[    0.000000] Early memory node ranges
[    0.000000]   node   0: [mem 0x00001000-0x0009efff]
[    0.000000]   node   0: [mem 0x00100000-0x1f3fbfff]
[    0.00000] SFI: Simple Firmware Interface v0.81 http://simplefirmware.org
[    0.000000] Intel MultiProcessor Specification v1.4
[    0.000000] MPTABLE: OEM ID: BOCHSCPU
[    0.000000] MPTABLE: Product ID: 0.1         
[    0.000000] MPTABLE: APIC at: 0xFEE00000
[    0.000000] Processor #0 (Bootup-CPU)
[    0.000000] IOAPIC[0]: apic_id 0, version 17, address 0xfec00000, GSI 0-23
[    0.000000] Processors: 1
[    0.000000] smpboot: Allowing 1 CPUs, 0 hotplug CPUs
[    0.000000] PM: Registered nosave memory: [mem 0x0009f000-0x0009ffff]
[    0.000000] PM: Registered nosave memory: [mem 0x000a0000-0x000effff]
[    0.000000] PM: Registered nosave memory: [mem 0x000f0000-0x000fffff]
[    0.000000] e820: [mem 0x1f400000-0xfffbffff] available for PCI devices
[    0.000000] Booting paravirtualized kernel on bare hardware
[    0.000000] setup_percpu: NR_CPUS:5120 nr_cpumask_bits:1 nr_cpu_ids:1 nr_node_ids:1
[    0.000000] PERCPU: Embedded 33 pages/cpu @ffff88001ee00000 s96728 r8192 d30248 u2097152
[    0.000000] Built 1 zonelists in Node order, mobility grouping on.  Total pages: 125877
[    0.000000] Policy zone: DMA32
[    0.000000] Kernel command line: panic=1 console=ttyS0 udevtimeout=6000 udev.event-timeout=6000 no_timer_check lpj=2693509 printk.time=1 cgroup_disable=memory usbcore.nousb cryptomgr.notests 8250.nr_uarts=1 root=/dev/sdb selinux=0 guestfs_verbose=1 TERM=xterm
[    0.000000] Disabling memory control group subsystem
[    0.000000] PID hash table entries: 2048 (order: 2, 16384 bytes)
[    0.000000] Memory: 483616k/511984k available (6764k kernel code, 392k absent, 27976k reserved, 4433k data, 1680k init)
[    0.000000] SLUB: HWalign=64, Order=0-3, MinObjects=0, CPUs=1, Nodes=1
[    0.000000] Hierarchical RCU implementation.
[    0.000000] \tRCU restricting CPUs from NR_CPUS=5120 to nr_cpu_ids=1.
[    0.000000] NR_IRQS:327936 nr_irqs:256 0
[    0.000000] Console: colour *CGA 80x25
[    0.000000] console [ttyS0] enabled
[    0.000000] tsc: Unable to calibrate against PIT
[    0.000000] tsc: No reference (HPET/PMTIMER) available
[    0.000000] tsc: Marking TSC unstable due to could not calculate TSC khz
[    0.008000] Calibrating delay loop (skipped) preset value.. 5387.01 BogoMIPS (lpj=2693509)
[    0.008000] pid_max: default: 32768 minimum: 301
[    0.013000] Security Framework initialized
[    0.019000] SELinux:  Disabled at boot.
[    0.031000] Dentry cache hash table entries: 65536 (order: 7, 524288 bytes)
[    0.036000] Inode-cache hash table entries: 32768 (order: 6, 262144 bytes)
[    0.039000] Mount-cache hash table entries: 4096
[    0.075000] Initializing cgroup subsys memory
[    0.078000] Initializing cgroup subsys devices
[    0.079000] Initializing cgroup subsys freezer
[    0.079000] Initializing cgroup subsys net_cls
[    0.080000] Initializing cgroup subsys blkio
[    0.081000] Initializing cgroup subsys perf_event
[    0.081000] Initializing cgroup subsys hugetlb
[    0.082000] Initializing cgroup subsys pids
[    0.082000] Initializing cgroup subsys net_prio
[    0.090000] mce: CPU supports 10 MCE banks
[    0.091000] Last level iTLB entries: 4KB 0, 2MB 0, 4MB 0
[    0.091000] Last level dTLB entries: 4KB 0, 2MB 0, 4MB 0
[    0.092000] tlb_flushall_shift: -1
[    0.214000] Freeing SMP alternatives: 28k freed
[    0.217000] ftrace: allocating 25811 entries in 101 pages
[    0.235000] smpboot: Max logical packages: 1
[    0.236000] smpboot: APIC(0) Converting physical 0 to logical package 0
[    0.237000] ------------[ cut here ]------------
[    0.237000] WARNING: at arch/x86/kernel/apic/apic.c:1409 setup_local_APIC+0x284/0x380()
[    0.238000] Modules linked in:
[    0.238000] CPU: 0 PID: 1 Comm: swapper/0 Not tainted 3.10.0-514.el7.x86_64 #1
[    0.238000] Hardware name: Red Hat KVM, BIOS 0.5.1 01/01/2011
[    0.239000]  0000000000000000 00000000ccf3493c ffff88001e95fda8 ffffffff81685eac
[    0.239000]  ffff88001e95fde0 ffffffff81085820 0000000000000000 00000000000000f0
[    0.239000]  0000000000000000 00000000ffffffff 0000000000000001 ffff88001e95fdf0
[    0.240000] Call Trace:
[    0.240000]  [<ffffffff81685eac>] dump_stack+0x19/0x1b
[    0.240000]  [<ffffffff81085820>] warn_slowpath_common+0x70/0xb0
[    0.240000]  [<ffffffff8108596a>] warn_slowpath_null+0x1a/0x20
[    0.240000]  [<ffffffff81051a14>] setup_local_APIC+0x284/0x380
[    0.240000]  [<ffffffff81b1d9ef>] native_smp_prepare_cpus+0x294/0x35b
[    0.240000]  [<ffffffff81b0a136>] kernel_init_freeable+0xbb/0x21c
[    0.241000]  [<ffffffff81674310>] ? rest_init+0x80/0x80
[    0.241000]  [<ffffffff8167431e>] kernel_init+0xe/0xf0
[    0.241000]  [<ffffffff81696418>] ret_from_fork+0x58/0x90
[    0.241000]  [<ffffffff81674310>] ? rest_init+0x80/0x80
[    0.243000] ---[ end trace 82322a67f7d8efee ]---
[    0.245000] ..TIMER: vector=0x30 apic1=0 pin1=2 apic2=-1 pin2=-1
[    0.246000] smpboot: CPU0: AMD QEMU Virtual CPU version 1.5.3 (fam: 06, model: 0d, stepping: 03)
[    0.361000] APIC timer disabled due to verification failure
[    0.362000] Performance Events: Broken PMU hardware detected, using software events only.
[    0.362000] Failed to access perfctr msr (MSR c0010007 is 0)
[    0.365000] Brought up 1 CPUs
[    0.365000] smpboot: Total of 1 processors activated (5387.01 BogoMIPS)
[    0.367000] NMI watchdog: disabled (cpu0): hardware events not enabled
[    0.367000] NMI watchdog: Shutting down hard lockup detector on all cpus
[    0.370000] devtmpfs: initialized
[    0.374000] EVM: security.selinux
[    0.374000] EVM: security.ima
[    0.374000] EVM: security.capability
[    0.378000] atomic64 test passed for x86-64 platform with CX8 and with SSE
[    0.379000] pinctrl core: initialized pinctrl subsystem
[    0.380000] NET: Registered protocol family 16
[    0.383000] PCI: Using configuration type 1 for base access
[    0.388000] ACPI: Interpreter disabled.
[    0.390000] vgaarb: loaded
[    0.391000] SCSI subsystem initialized
[    0.392000] usbcore: registered new interface driver usbfs
[    0.392000] usbcore: registered new interface driver hub
[    0.392000] usbcore: registered new device driver usb
[    0.393000] PCI: Probing PCI hardware
[    0.394000] PCI host bridge to bus 0000:00
[    0.394000] pci_bus 0000:00: root bus resource [io  0x0000-0xffff]
[    0.394000] pci_bus 0000:00: root bus resource [mem 0x00000000-0xffffffffff]
[    0.394000] pci_bus 0000:00: No busn resource found for root bus, will use [bus 00-ff]
[    0.398000] pci 0000:00:01.1: legacy IDE quirk: reg 0x10: [io  0x01f0-0x01f7]
[    0.398000] pci 0000:00:01.1: legacy IDE quirk: reg 0x14: [io  0x03f6]
[    0.398000] pci 0000:00:01.1: legacy IDE quirk: reg 0x18: [io  0x0170-0x0177]
[    0.398000] pci 0000:00:01.1: legacy IDE quirk: reg 0x1c: [io  0x0376]
[    0.440000] pci 0000:00:01.0: PIIX/ICH IRQ router [8086:7000]
[    0.442000] NetLabel: Initializing
[    0.442000] NetLabel:  domain hash size = 128
[    0.442000] NetLabel:  protocols = UNLABELED CIPSOv4
[    0.443000] NetLabel:  unlabeled traffic allowed by default
[    0.444000] Switched to clocksource refined-jiffies
[    0.459997] pnp: PnP ACPI: disabled
[    0.464996] NET: Registered protocol family 2
[    0.467996] TCP established hash table entries: 4096 (order: 3, 32768 bytes)
[    0.468996] TCP bind hash table entries: 4096 (order: 4, 65536 bytes)
[    0.469996] TCP: Hash tables configured (established 4096 bind 4096)
[    0.469996] TCP: reno registered
[    0.470995] UDP hash table entries: 256 (order: 1, 8192 bytes)
[    0.470995] UDP-Lite hash table entries: 256 (order: 1, 8192 bytes)
[    0.471995] NET: Registered protocol family 1
[    0.472995] pci 0000:00:00.0: Limiting direct PCI/PCI transfers
[    0.472995] pci 0000:00:01.0: PIIX3: Enabling Passive Release
[    0.472995] pci 0000:00:01.0: Activating ISA DMA hang workarounds
[    0.474995] pci 0000:00:01.2: PCI->APIC IRQ transform: INT D -> IRQ 25
[    0.476994] Unpacking initramfs...
[    0.487993] Freeing initrd memory: 3160k freed
[    0.493992] platform rtc_cmos: registered platform RTC device (no PNP device found)
[    0.498991] sha1_ssse3: Neither AVX nor AVX2 nor SSSE3/SHA-NI is available/usable.
[    0.499991] sha256_ssse3: Neither AVX nor SSSE3/SHA-NI is available/usable.
[    0.501991] futex hash table entries: 256 (order: 2, 16384 bytes)
[    0.502991] Initialise system trusted keyring
[    0.503990] audit: initializing netlink socket (disabled)
[    0.505990] type=2000 audit(1480298519.504:1): initialized
[    0.551983] HugeTLB registered 2 MB page size, pre-allocated 0 pages
[    0.559982] zpool: loaded
[    0.559982] zbud: loaded
[    0.561982] VFS: Disk quotas dquot_6.5.2
[    0.562981] Dquot-cache hash table entries: 512 (order 0, 4096 bytes)
[    0.564981] msgmni has been set to 950
[    0.565981] Key type big_key registered
[    0.570980] NET: Registered protocol family 38
[    0.571980] Key type asymmetric registered
[    0.571980] Asymmetric key parser 'x509' registered
[    0.572980] Block layer SCSI generic (bsg) driver version 0.4 loaded (major 251)
[    0.572980] io scheduler noop registered
[    0.572980] io scheduler deadline registered (default)
[    0.573980] io scheduler cfq registered
[    0.574980] pci_hotplug: PCI Hot Plug PCI Core version: 0.5
[    0.575979] pciehp: PCI Express Hot Plug Controller Driver version: 0.4
[    0.577979] Serial: 8250/16550 driver, 1 ports, IRQ sharing enabled
[    0.579979] serial8250: ttyS0 at I/O 0x3f8 (irq = 4) is a 16550A
[    0.582978] Non-volatile memory driver v1.3
[    0.582978] Linux agpgart interface v0.103
[    0.584978] crash memory driver: version 1.1
[    0.585978] rdac: device handler registered
[    0.585978] hp_sw: device handler registered
[    0.585978] emc: device handler registered
[    0.585978] alua: device handler registered
[    0.585978] libphy: Fixed MDIO Bus: probed
[    0.586978] ehci_hcd: USB 2.0 'Enhanced' Host Controller (EHCI) Driver
[    0.586978] ehci-pci: EHCI PCI platform driver
[    0.586978] ohci_hcd: USB 1.1 'Open' Host Controller (OHCI) Driver
[    0.586978] ohci-pci: OHCI PCI platform driver
[    0.586978] uhci_hcd: USB Universal Host Controller Interface driver
[    0.587978] uhci_hcd 0000:00:01.2: PCI->APIC IRQ transform: INT D -> IRQ 25
[    0.587978] uhci_hcd 0000:00:01.2: UHCI Host Controller
[    0.587978] uhci_hcd 0000:00:01.2: new USB bus registered, assigned bus number 1
[    0.587978] uhci_hcd 0000:00:01.2: detected 2 ports
[    0.589977] uhci_hcd 0000:00:01.2: irq 25, io base 0x0000c040
[    0.590977] usb usb1: New USB device found, idVendor=1d6b, idProduct=0001
[    0.590977] usb usb1: New USB device strings: Mfr=3, Product=2, SerialNumber=1
[    0.591977] usb usb1: Product: UHCI Host Controller
[    0.591977] usb usb1: Manufacturer: Linux 3.10.0-514.el7.x86_64 uhci_hcd
[    0.592977] usb usb1: SerialNumber: 0000:00:01.2
[    0.594977] hub 1-0:1.0: USB hub found
[    0.594977] hub 1-0:1.0: 2 ports detected
[    0.597976] usbcore: registered new interface driver usbserial
[    0.597976] usbcore: registered new interface driver usbserial_generic
[    0.597976] usbserial: USB Serial support registered for generic
[    0.598976] i8042: PNP: No PS/2 controller found. Probing ports directly.
[    0.600976] serio: i8042 KBD port at 0x60,0x64 irq 1
[    0.601975] serio: i8042 AUX port at 0x60,0x64 irq 12
[    0.602975] mousedev: PS/2 mouse device common for all mice
[    0.604975] input: AT Translated Set 2 keyboard as /devices/platform/i8042/serio0/input/input0
[    0.606975] rtc_cmos rtc_cmos: rtc core: registered rtc_cmos as rtc0
[    0.606975] rtc_cmos rtc_cmos: alarms up to one day, 114 bytes nvram
[    0.608974] cpuidle: using governor menu
[    0.609974] hidraw: raw HID events driver (C) Jiri Kosina
[    0.610974] usbcore: registered new interface driver usbhid
[    0.610974] usbhid: USB HID core driver
[    0.610974] drop_monitor: Initializing network drop monitor service
[    0.611974] TCP: cubic registered
[    0.611974] Initializing XFRM netlink socket
[    0.612974] NET: Registered protocol family 10
[    0.614974] NET: Registered protocol family 17
[    0.616973] microcode: AMD CPU family 0x6 not supported
[    0.617973] Loading compiled-in X.509 certificates
[    0.618973] Loaded X.509 cert 'Red Hat Enterprise Linux Driver Update Program (key 3): bf57f3e87362bc7229d9f465321773dfd1f77a80'
[    0.620973] Loaded X.509 cert 'Red Hat Enterprise Linux kpatch signing key: 4d38fd864ebe18c5f0b72e3852e2014c3a676fc8'
[    0.621972] Loaded X.509 cert 'Red Hat Enterprise Linux kernel signing key: 75fea1df245accd97a17fe3a367261e65f8a1e60'
[    0.622972] registered taskstats version 1
[    0.625972] Key type trusted registered
[    0.627972] Key type encrypted registered
[    0.628971] IMA: No TPM chip found, activating TPM-bypass!
[    0.629971] rtc_cmos rtc_cmos: setting system clock to 2016-11-28 02:02:02 UTC (1480298522)
[    0.632971] Freeing unused kernel memory: 1680k freed
^H^H^H^H^Hsupermin: mounting /proc
supermin: ext2 mini initrd starting up: 5.1.16 glibc
supermin: cmdline: panic=1 console=ttyS0 udevtimeout=6000 udev.event-timeout=6000 no_timer_check lpj=2693509 printk.time=1 cgroup_disable=memory usbcore.nousb cryptomgr.notests 8250.nr_uarts=1 root=/dev/sdb selinux=0 guestfs_verbose=1 TERM=xterm
supermin: uptime: 0.75 0.23
supermin: mounting /sys
supermin: internal insmod crc32-pclmul.ko
[    0.771950] PCLMULQDQ-NI instructions are not detected.
insmod: init_module: crc32-pclmul.ko: No such device
supermin: internal insmod crc32c-intel.ko
insmod: init_module: crc32c-intel.ko: No such device
supermin: internal insmod crct10dif_common.ko
supermin: internal insmod crct10dif-pclmul.ko
insmod: init_module: crct10dif-pclmul.ko: No such device
supermin: internal insmod crc32_generic.ko
[    0.786947] alg: No test for crc32 (crc32-generic)
supermin: internal insmod crct10dif_generic.ko
supermin: internal insmod libnvdimm.ko
supermin: internal insmod nfit.ko
insmod: init_module: nfit.ko: No such device
supermin: internal insmod libata.ko
supermin: internal insmod ata_piix.ko
[    0.832940] scsi host0: ata_piix
[    0.834940] scsi host1: ata_piix
[    0.835940] ata1: PATA max MWDMA2 cmd 0x1f0 ctl 0x3f6 bmdma 0xc0c0 irq 14
[    0.835940] ata2: PATA max MWDMA2 cmd 0x170 ctl 0x376 bmdma 0xc0c8 irq 15
supermin: internal insmod virtio.ko
supermin: internal insmod virtio_ring.ko
supermin: internal insmod virtio_blk.ko
supermin: internal insmod virtio-rng.ko
supermin: internal insmod virtio_console.ko
supermin: internal insmod virtio_net.ko
supermin: internal insmod nd_btt.ko
supermin: internal insmod nd_pmem.ko
supermin: internal insmod crc-t10dif.ko
supermin: internal insmod sd_mod.ko
supermin: internal insmod virtio_scsi.ko
supermin: internal insmod virtio_balloon.ko
supermin: internal insmod virtio_input.ko
supermin: internal insmod virtio_pci.ko
[    1.117897] virtio-pci 0000:00:03.0: PCI->APIC IRQ transform: INT A -> IRQ 25
[    1.118897] virtio-pci 0000:00:03.0: virtio_pci: leaving for legacy driver
[    1.121896] scsi host2: Virtio SCSI HBA
[    1.124896] scsi 2:0:0:0: Direct-Access     QEMU     QEMU HARDDISK    1.5. PQ: 0 ANSI: 5
[    1.126896] scsi 2:0:1:0: Direct-Access     QEMU     QEMU HARDDISK    1.5. PQ: 0 ANSI: 5
[    1.126896] virtio-pci 0000:00:04.0: PCI->APIC IRQ transform: INT A -> IRQ 25
[    1.126896] virtio-pci 0000:00:04.0: virtio_pci: leaving for legacy driver
[    1.129895] virtio-pci 0000:00:05.0: PCI->APIC IRQ transform: INT A -> IRQ 24
[    1.129895] virtio-pci 0000:00:05.0: virtio_pci: leaving for legacy driver
[    1.131895] virtio-pci 0000:00:06.0: PCI->APIC IRQ transform: INT A -> IRQ 24
[    1.131895] virtio-pci 0000:00:06.0: virtio_pci: leaving for legacy driver
[    1.167889] sd 2:0:0:0: [sda] 204800 512-byte logical blocks: (104 MB/100 MiB)
[    1.170889] sd 2:0:0:0: [sda] Write Protect is off
[    1.172889] sd 2:0:1:0: [sdb] 8388608 512-byte logical blocks: (4.29 GB/4.00 GiB)
[    1.173889] sd 2:0:1:0: [sdb] Write Protect is off
[    1.174888] sd 2:0:1:0: [sdb] Write cache: enabled, read cache: enabled, doesn't support DPO or FUA
[    1.176888] sd 2:0:0:0: [sda] Write cache: enabled, read cache: enabled, doesn't support DPO or FUA
[    1.183887] sd 2:0:1:0: [sdb] Attached SCSI disk
[    1.184887] sd 2:0:0:0: [sda] Attached SCSI disk
supermin: internal insmod jbd2.ko
supermin: internal insmod mbcache.ko
supermin: internal insmod ext4.ko
supermin: internal insmod crc-ccitt.ko
supermin: internal insmod crc-itu-t.ko
supermin: internal insmod crc8.ko
supermin: internal insmod libcrc32c.ko
supermin: picked /sys/block/sdb/dev as root device
supermin: creating /dev/root as block special 8:16
supermin: mounting new root on /root
[    1.245878] EXT4-fs (sdb): mounting ext2 file system using the ext4 subsystem
[    1.271874] EXT4-fs (sdb): mounted filesystem without journal. Opts: 
supermin: deleting initramfs files
supermin: chroot
[    1.463844] input: ImExPS/2 Generic Explorer Mouse as /devices/platform/i8042/serio1/input/input1
Starting /init script ...
+ [[ panic=1 console=ttyS0 udevtimeout=6000 udev.event-timeout=6000 no_timer_check lpj=2693509 printk.time=1 cgroup_disable=memory usbcore.nousb cryptomgr.notests 8250.nr_uarts=1 root=/dev/sdb selinux=0 guestfs_verbose=1 TERM=xterm == *guestfs_network=1* ]]
+ [[ panic=1 console=ttyS0 udevtimeout=6000 udev.event-timeout=6000 no_timer_check lpj=2693509 printk.time=1 cgroup_disable=memory usbcore.nousb cryptomgr.notests 8250.nr_uarts=1 root=/dev/sdb selinux=0 guestfs_verbose=1 TERM=xterm == *guestfs_rescue=1* ]]
+ [[ panic=1 console=ttyS0 udevtimeout=6000 udev.event-timeout=6000 no_timer_check lpj=2693509 printk.time=1 cgroup_disable=memory usbcore.nousb cryptomgr.notests 8250.nr_uarts=1 root=/dev/sdb selinux=0 guestfs_verbose=1 TERM=xterm == *guestfs_noreboot=1* ]]
+ [[ panic=1 console=ttyS0 udevtimeout=6000 udev.event-timeout=6000 no_timer_check lpj=2693509 printk.time=1 cgroup_disable=memory usbcore.nousb cryptomgr.notests 8250.nr_uarts=1 root=/dev/sdb selinux=0 guestfs_verbose=1 TERM=xterm == *guestfs_boot_analysis=1* ]]
+ '[' '!' -d /sys ']'
+ mkdir -p /sys
+ mount -t sysfs /sys /sys
+ mkdir -p /run
+ mount -t tmpfs -o nosuid,size=20%,mode=0755 tmpfs /run
+ mkdir -p /run/lock
+ ln -s ../run/lock /var/lock
+ test -e /etc/mtab
+ mount -t devtmpfs /dev /dev
+ [[ panic=1 console=ttyS0 udevtimeout=6000 udev.event-timeout=6000 no_timer_check lpj=2693509 printk.time=1 cgroup_disable=memory usbcore.nousb cryptomgr.notests 8250.nr_uarts=1 root=/dev/sdb selinux=0 guestfs_verbose=1 TERM=xterm == *selinux=1* ]]
+ mkdir -p /run/tmpfiles.d
+ kmod static-nodes --format=tmpfiles --output=/run/tmpfiles.d/kmod.conf
++ dd if=/dev/urandom bs=16 count=1 status=none
++ od -x -A n
+ machine_id=' 7d99 132e 6759 31f6 b145 d621 6464 68db'
+ echo 7d99132e675931f6b145d621646468db
+ systemd-tmpfiles --prefix=/dev --create --boot
+ for f in /lib/systemd/systemd-udevd /usr/lib/systemd/systemd-udevd /sbin/udevd /lib/udev/udevd /usr/lib/udev/udevd
+ '[' -x /lib/systemd/systemd-udevd ']'
+ UDEVD=/lib/systemd/systemd-udevd
+ break
+ '[' -z /lib/systemd/systemd-udevd ']'
+ /lib/systemd/systemd-udevd --daemon
starting version 219
specified group 'input' unknown
+ udevadm trigger
+ udevadm settle --timeout=600
[    5.253268] input: PC Speaker as /devices/platform/pcspkr/input/input2
[    6.070144] sd 2:0:0:0: Attached scsi generic sg0 type 0
[    6.071144] sd 2:0:1:0: Attached scsi generic sg1 type 0
[    6.082142] Error: Driver 'pcspkr' is already registered, aborting...
+ shopt -s nullglob
+ for f in '/sys/block/sd*/device/timeout'
+ echo 300
+ for f in '/sys/block/sd*/device/timeout'
+ echo 300
+ for f in '/sys/block/{h,s,ub,v}d*/queue/scheduler'
+ echo noop
+ for f in '/sys/block/{h,s,ub,v}d*/queue/scheduler'
+ echo noop
+ shopt -u nullglob
+ ip addr add 127.0.0.1/8 brd + dev lo scope host
+ ip link set dev lo up
+ ip addr add 169.254.2.10/16 brd + dev eth0 scope global
Cannot find device "eth0"
+ ip link set dev eth0 up
Cannot find device "eth0"
+ ip route add default via 169.254.2.2
RTNETLINK answers: Network is unreachable
+ echo nameserver 169.254.2.3
+ mdadm -As --auto=yes --run
mdadm: No arrays found in config file or automatically
+ modprobe dm_mod
[    7.627907] device-mapper: uevent: version 1.0.3
[    7.630907] device-mapper: ioctl: 4.34.0-ioctl (2015-10-28) initialised: dm-devel@redhat.com
+ lvm vgchange -aay --sysinit
  WARNING: Failed to connect to lvmetad. Falling back to device scanning.
+ ldmtool create all
/init: line 136: ldmtool: command not found
+ test 1 = 1
+ test '' '!=' 1
+ uname -a
Linux (none) 3.10.0-514.el7.x86_64 #1 SMP Wed Oct 19 11:24:13 EDT 2016 x86_64 x86_64 x86_64 GNU/Linux
+ ls -lR /dev
/dev:
total 0
crw------- 1 root root  10, 235 Nov 28 02:02 autofs
drwxr-xr-x 2 root root       80 Nov 28 02:02 block
drwxr-xr-x 2 root root       80 Nov 28 02:02 bsg
crw------- 1 root root  10, 234 Nov 28 02:02 btrfs-control
drwxr-xr-x 3 root root       60 Nov 28 02:01 bus
drwxr-xr-x 2 root root     2260 Nov 28 02:02 char
crw------- 1 root root   5,   1 Nov 28 02:02 console
lrwxrwxrwx 1 root root       11 Nov 28 02:02 core -> /proc/kcore
drwxr-xr-x 3 root root       60 Nov 28 02:01 cpu
crw------- 1 root root  10,  61 Nov 28 02:02 cpu_dma_latency
crw----- 1 root root  10,  62 Nov 28 02:02 crash
drwxr-xr-x 5 root root      100 Nov 28 02:02 disk
lrwxrwxrwx 1 root root       13 Nov 28 02:02 fd -> /proc/self/fd
crw-rw-rw- 1 root root   1,   7 Nov 28 02:02 full
crw-rw-rw- 1 root root  10, 229 Nov 28 02:02 fuse
crw------- 1 rootroot  10, 183 Nov 28 02:02 hwrng
drwxr-xr-x 3 root root      160 Nov 28 02:02 input
crw-r--r-- 1 root root   1,  11 Nov 28 02:02 kmsg
crw------- 1 root root  10, 232 Nov 28 02:02 kvm
crw-rw---- 1 root disk  10, 237 Nov 28 02:02 loop-control
drwxr-xr-x 2 root root       60 v 28 02:02 mapper
crw------- 1 root root  10, 227 Nov 28 02:02 mcelog
crw------- 1 root root   1,   1 Nov 28 02:02 mem
drwxr-xr-x 2 root root       60 Nov 28 02:02 net
crw------- 1 root root  10,  60 Nov 28 02:02 network_latency
crw------- 1 root root  10,  59 Nov 28 02:02network_throughput
crw-rw-rw- 1 root root   1,   3 Nov 28 02:02 null
crw------- 1 root root  10, 144 Nov 28 02:02 nvram
crw------- 1 root root   1,  12 Nov 28 02:02 oldmem
crw------- 1 root root   1,   4 Nov 28 02:02 port
crw------- 1 root root 108,   0 Nov 28 02:02 ppp
crw-rw- 1 root root   5,   2 Nov 28 02:02 ptmx
crw-rw-rw- 1 root root   1,   8 Nov 28 02:02 random
drwxr-xr-x 2 root root       60 Nov 28 02:01 raw
lrwxrwxrwx 1 root root        4 Nov 28 02:02 rtc -> rtc0
crw------- 1 root root 253,   0 Nov 28 02:02 rtc0
brw------- 1 root rot   8,   0 Nov 28 02:02 sda
brw------- 1 root root   8,  16 Nov 28 02:02 sdb
crw-rw---- 1 root disk  21,   0 Nov 28 02:02 sg0
crw-rw---- 1 root disk  21,   1 Nov 28 02:02 sg1
crw------- 1 root root  10, 231 Nov 28 02:02 snapshot
drwxr-xr-x 2 root root       80 Nov 28 02:0nd
lrwxrwxrwx 1 root root       15 Nov 28 02:02 stderr -> /proc/self/fd/2
lrwxrwxrwx 1 root root       15 Nov 28 02:02 stdin -> /proc/self/fd/0
lrwxrwxrwx 1 root root       15 Nov 28 02:02 stdout -> /proc/self/fd/1
crw-rw-rw- 1 root root   5,   0 Nov 28 02:02 tty
crw------ 1 root root   4,   0 Nov 28 02:02 tty0
crw------- 1 root root   4,   1 Nov 28 02:02 tty1
crw------- 1 root root   4,  10 Nov 28 02:02 tty10
crw------- 1 root root   4,  11 Nov 28 02:02 tty11
crw------- 1 root root   4,  12 Nov 28 02:02 tty12
crw------- 1 root root   4,  1ov 28 02:02 tty13
crw------- 1 root root   4,  14 Nov 28 02:02 tty14
crw------- 1 root root   4,  15 Nov 28 02:02 tty15
crw------- 1 root root   4,  16 Nov 28 02:02 tty16
crw------- 1 root root   4,  17 Nov 28 02:02 tty17
crw------- 1 root root   4,  19 Nov 28 02:02 tty19
crw------- 1 root root   4,   2 Nov 28 02:02 tty2
crw------- 1 root root   4,  20 Nov 28 02:02 tty20
crw------- 1 root root   4,  21 Nov 28 02:02 tty21
crw------- 1 root root   4,  22 Nov 28 02:02 tty22
crw------- 1 root r   4,  23 Nov 28 02:02 tty23
crw------- 1 root root   4,  24 Nov 28 02:02 tty24
crw------- 1 root root   4,  25 Nov 28 02:02 tty25
crw------- 1 root root   4,  26 Nov 28 02:02 tty26
crw------- 1 root root   4,  27 Nov 28 02:02 tty27
crw------- 1 root root   4,  28 Nov 28 0:02 tty28
crw------- 1 root root   4,  29 Nov 28 02:02 tty29
crw------- 1 root root   4,   3 Nov 28 02:02 tty3
crw------- 1 root root   4,  30 Nov 28 02:02 tty30
crw------- 1 root root   4,  31 Nov 28 02:02 tty31
crw------- 1 root root   4,  32 Nov 28 02:02 tty32
crw-----1 root root   4,  33 Nov 28 02:02 tty33
crw------- 1 root root   4,  34 Nov 28 02:02 tty34
crw------- 1 root root   4,  35 Nov 28 02:02 tty35
crw------- 1 root root   4,  36 Nov 28 02:02 tty36
crw------- 1 root root   4,  37 Nov 28 02:02 tty37
crw------- 1 root root   4,  8 Nov 28 02:02 tty38
crw------- 1 root root   4,  39 Nov 28 02:02 tty39
crw------- 1 root root   4,   4 Nov 28 02:02 tty4
crw------- 1 root root   4,  40 Nov 28 02:02 tty40
crw------- 1 root root   4,  41 Nov 28 02:02 tty41
crw------- 1 root root   4,  42 Nov 28 02:02 tty4crw------- 1 root root   4,  43 Nov 28 02:02 tty43
crw------- 1 root root   4,  44 Nov 28 02:02 tty44
crw------- 1 root root   4,  45 Nov 28 02:02 tty45
crw------- 1 root root   4,  46 Nov 28 02:02 tty46
crw------- 1 root root   4,  47 Nov 28 02:02 tty47
crw------- 1 root oot   4,  48 Nov 28 02:02 tty48
crw------- 1 root root   4,  49 Nov 28 02:02 tty49
crw------- 1 root root   4,   5 Nov 28 02:02 tty5
crw------- 1 root root   4,  50 Nov 28 02:02 tty50
crw------- 1 root root   4,  51 Nov 28 02:02 tty51
crw------- 1 root root   4,  52 Nov 28:02 tty52
crw------- 1 root root   4,  53 Nov 28 02:02 tty53
crw------- 1 root root   4,  54 Nov 28 02:02 tty54
crw------- 1 root root   4,  55 Nov 28 02:02 tty55
crw------- 1 root root   4,  56 Nov 28 02:02 tty56
crw------- 1 root root   4,  57 Nov 28 02:02 tty57
crw------ 1 root root   4,  58 Nov 28 02:02 tty58
crw------- 1 root root   4,  59 Nov 28 02:02 tty59
crw------- 1 root root   4,   6 Nov 28 02:02 tty6
crw------- 1 root root   4,  60 Nov 28 02:02 tty60
crw------- 1 root root   4,  61 Nov 28 02:02 tty61
crw------- 1 root root   4,2 Nov 28 02:02 tty62
crw------- 1 root root   4,  63 Nov 28 02:02 tty63
crw------- 1 root root   4,   7 Nov 28 02:02 tty7
crw------- 1 root root   4,   8 Nov 28 02:02 tty8
crw------- 1 root root   4,   9 Nov 28 02:02 tty9
crw------- 1 root root  10, 239 Nov 28 02:02 uhid0
crw------- 1 root root  10, 223 Nov 28 02:02 uinput
crw-rw-rw- 1 root root   1,   9 Nov 28 02:02 urandom
crw------- 1 root root 250,   0 Nov 28 02:02 usbmon0
crw------- 1 root root 250,   1 Nov 28 02:02 usbmon1
crw------- 1ot root   7,   0 Nov 28 02:02 vcs
crw------- 1 root root   7,   1 Nov 28 02:02 vcs1
crw------- 1 root root   7, 128 Nov 28 02:02 vcsa
crw------- 1 root root   7, 129 Nov 28 02:02 vcsa1
drwxr-xr-x 2 root root       60 Nov 28 02:02 vfio
crw------- 1 root root  10,  63 Nov 2802:02 vga_arbiter
crw------- 1 root root  10, 137 Nov 28 02:02 vhci
crw------- 1 root root  10, 238 Nov 28 02:02 vhost-net
drwxr-xr-x 2 root root       60 Nov 28 02:02 virtio-ports
crw------- 1 root root 246,   1 Nov 28 02:02 vport1p1
crw-rw-rw- 1 root root   1,   5 Nov 28:02 zero

/dev/block:
total 0
lrwxrwxrwx 1 root root 6 Nov 28 02:02 8:0 -> ../sda
lrwxrwxrwx 1 root root 6 Nov 28 02:02 8:16 -> ../sdb

/dev/bsg:
total 0
crw------- 1 root root 251, 0 Nov 28 02:02 2:0:0:0
crw------- 1 root root 251, 1 Nov 28 02:02 2:0:1:0

/dev/bus:
total 0
drwxr-xr-x 3 root root 60 Nov 28 02:01 usb

/dev/bus/usb:
total 0
drwxr-xr-x 2 root root 60 Nov 28 02:01 001

/dev/bus/usb/001:
total 0
crw------- 1 root root 189, 0 Nov 28 02:02 001

/dev/char:
total 0
lrwxrwxrwx 1 root root  8 Nov 28 02:02 10:144 -> ../nm
lrwxrwxrwx 1 root root  8 Nov 28 02:02 10:183 -> ../hwrng
lrwxrwxrwx 1 root root  9 Nov 28 02:02 10:227 -> ../mcelog
lrwxrwxrwx 1 root root 11 Nov 28 02:02 10:231 -> ../snapshot
lrwxrwxrwx 1 root root  6 Nov 28 02:02 10:232 -> ../kvm
lrwxrwxrwx 1 root root  9 Nov 28 02:0 10:235 -> ../autofs
lrwxrwxrwx 1 root root 17 Nov 28 02:02 10:236 -> ../mapper/control
lrwxrwxrwx 1 root root 21 Nov 28 02:02 10:59 -> ../network_throughput
lrwxrwxrwx 1 root root 18 Nov 28 02:02 10:60 -> ../network_latency
lrwxrwxrwx 1 root root 18 Nov 28 02:02 10:61 -> .pu_dma_latency
lrwxrwxrwx 1 root root  8 Nov 28 02:02 10:62 -> ../crash
lrwxrwxrwx 1 root root 14 Nov 28 02:02 10:63 -> ../vga_arbiter
lrwxrwxrwx 1 root root 12 Nov 28 02:02 116:33 -> ../snd/timer
lrwxrwxrwx 1 root root 15 Nov 28 02:02 13:32 -> ../input/mouse0
lrwxrwxrwx 1root root 13 Nov 28 02:02 13:63 -> ../input/mice
lrwxrwxrwx 1 root root 15 Nov 28 02:02 13:64 -> ../input/event0
lrwxrwxrwx 1 root root 15 Nov 28 02:02 13:65 -> ../input/event1
lrwxrwxrwx 1 root root 15 Nov 28 02:02 13:66 -> ../input/event2
lrwxrwxrwx 1 root root 13 Nov 28 02 162:0 -> ../raw/rawctl
lrwxrwxrwx 1 root root 18 Nov 28 02:02 189:0 -> ../bus/usb/001/001
lrwxrwxrwx 1 root root  6 Nov 28 02:02 1:1 -> ../mem
lrwxrwxrwx 1 root root  7 Nov 28 02:02 1:11 -> ../kmsg
lrwxrwxrwx 1 root root  9 Nov 28 02:02 1:12 -> ../oldmem
lrwxrwxrwx 1 rot root  7 Nov 28 02:02 1:3 -> ../null
lrwxrwxrwx 1 root root  7 Nov 28 02:02 1:4 -> ../port
lrwxrwxrwx 1 root root  7 Nov 28 02:02 1:5 -> ../zero
lrwxrwxrwx 1 root root  7 Nov 28 02:02 1:7 -> ../full
lrwxrwxrwx 1 root root  9 Nov 28 02:02 1:8 -> ../random
lrwxrwxrwx 1 rootot 10 Nov 28 02:02 1:9 -> ../urandom
lrwxrwxrwx 1 root root 12 Nov 28 02:02 202:0 -> ../cpu/0/msr
lrwxrwxrwx 1 root root 14 Nov 28 02:02 203:0 -> ../cpu/0/cpuid
lrwxrwxrwx 1 root root  6 Nov 28 02:02 21:0 -> ../sg0
lrwxrwxrwx 1 root root  6 Nov 28 02:02 21:1 -> ../sg1
lrwxwxrwx 1 root root 11 Nov 28 02:02 246:1 -> ../vport1p1
lrwxrwxrwx 1 root root 10 Nov 28 02:02 250:0 -> ../usbmon0
lrwxrwxrwx 1 root root 10 Nov 28 02:02 250:1 -> ../usbmon1
lrwxrwxrwx 1 root root 14 Nov 28 02:02 251:0 -> ../bsg/2:0:0:0
lrwxrwxrwx 1 root root 14 Nov 28 02:021:1 -> ../bsg/2:0:1:0
lrwxrwxrwx 1 root root  7 Nov 28 02:02 253:0 -> ../rtc0
lrwxrwxrwx 1 root root  7 Nov 28 02:02 4:0 -> ../tty0
lrwxrwxrwx 1 root root  7 Nov 28 02:02 4:1 -> ../tty1
lrwxrwxrwx 1 root root  8 Nov 28 02:02 4:10 -> ../tty10
lrwxrwxrwx 1 root root  8 Nov 2 02:02 4:11 -> ../tty11
lrwxrwxrwx 1 root root  8 Nov 28 02:02 4:12 -> ../tty12
lrwxrwxrwx 1 root root  8 Nov 28 02:02 4:13 -> ../tty13
lrwxrwxrwx 1 root root  8 Nov 28 02:02 4:14 -> ../tty14
lrwxrwxrwx 1 root root  8 Nov 28 02:02 4:15 -> ../tty15
lrwxrwxrwx 1 root root  8v 28 02:02 4:16 -> ../tty16
lrwxrwxrwx 1 root root  8 Nov 28 02:02 4:17 -> ../tty17
lrwxrwxrwx 1 root root  8 Nov 28 02:02 4:18 -> ../tty18
lrwxrwxrwx 1 root root  8 Nov 28 02:02 4:19 -> ../tty19
lrwxrwxrwx 1 root root  7 Nov 28 02:02 4:2 -> ../tty2
lrwxrwxrwx 1 root root 8 Nov 28 02:02 4:20 -> ../tty20
lrwxrwxrwx 1 root root  8 Nov 28 02:02 4:21 -> ../tty21
lrwxrwxrwx 1 root root  8 Nov 28 02:02 4:22 -> ../tty22
lrwxrwxrwx 1 root root  8 Nov 28 02:02 4:23 -> ../tty23
lrwxrwxrwx 1 root root  8 Nov 28 02:02 4:24 -> ../tty24
lrwxrwxrwx 1 rootot  8 Nov 28 02:02 4:25 -> ../tty25
lrwxrwxrwx 1 root root  8 Nov 28 02:02 4:26 -> ../tty26
lrwxrwxrwx 1 root root  8 Nov 28 02:02 4:27 -> ../tty27
lrwxrwxrwx 1 root root  8 Nov 28 02:02 4:28 -> ../tty28
lrwxrwxrwx 1 root root  8 Nov 28 02:02 4:29 -> ../tty29
lrwxrwxrwx 1 oot root  7 Nov 28 02:02 4:3 -> ../tty3
lrwxrwxrwx 1 root root  8 Nov 28 02:02 4:30 -> ../tty30
lrwxrwxrwx 1 root root  8 Nov 28 02:02 4:31 -> ../tty31
lrwxrwxrwx 1 root root  8 Nov 28 02:02 4:32 -> ../tty32
lrwxrwxrwx 1 root root  8 Nov 28 02:02 4:33 -> ../tty33
lrwxrwxrw root root  8 Nov 28 02:02 4:34 -> ../tty34
lrwxrwxrwx 1 root root  8 Nov 28 02:02 4:35 -> ../tty35
lrwxrwxrwx 1 root root  8 Nov 28 02:02 4:36 -> ../tty36
lrwxrwxrwx 1 root root  8 Nov 28 02:02 4:37 -> ../tty37
lrwxrwxrwx 1 root root  8 Nov 28 02:02 4:38 -> ../tty38
lrwxrxrwx 1 root root  8 Nov 28 02:02 4:39 -> ../tty39
lrwxrwxrwx 1 root root  7 Nov 28 02:02 4:4 -> ../tty4
lrwxrwxrwx 1 root root  8 Nov 28 02:02 4:40 -> ../tty40
lrwxrwxrwx 1 root root  8 Nov 28 02:02 4:41 -> ../tty41
lrwxrwxrwx 1 root root  8 Nov 28 02:02 4:42 -> ../tty42
lrwxrwx 1 root root  8 Nov 28 02:02 4:43 -> ../tty43
lrwxrwxrwx 1 root root  8 Nov 28 02:02 4:44 -> ../tty44
lrwxrwxrwx 1 root root  8 Nov 28 02:02 4:45 -> ../tty45
lrwxrwxrwx 1 root root  8 Nov 28 02:02 4:46 -> ../tty46
lrwxrwxrwx 1 root root  8 Nov 28 02:02 4:47 -> ../tty4
lrwxrwxrwx 1 root root  8 Nov 28 02:02 4:48 -> ../tty48
lrwxrwxrwx 1 root root  8 Nov 28 02:02 4:49 -> ../tty49
lrwxrwxrwx 1 root root  7 Nov 28 02:02 4:5 -> ../tty5
lrwxrwxrwx 1 root root  8 Nov 28 02:02 4:50 -> ../tty50
lrwxrwxrwx 1 root root  8 Nov 28 02:02 4:51 -> ../51
lrwxrwxrwx 1 root root  8 Nov 28 02:02 4:52 -> ../tty52
lrwxrwxrwx 1 root root  8 Nov 28 02:02 4:53 -> ../tty53
lrwxrwxrwx 1 root root  8 Nov 28 02:02 4:54 -> ../tty54
lrwxrwxrwx 1 root root  8 Nov 28 02:02 4:55 -> ../tty55
lrwxrwxrwx 1 root root  8 Nov 28 02:02 4:56 ->../tty56
lrwxrwxrwx 1 root root  8 Nov 28 02:02 4:57 -> ../tty57
lrwxrwxrwx 1 root root  8 Nov 28 02:02 4:58 -> ../tty58
lrwxrwxrwx 1 root root  8 Nov 28 02:02 4:59 -> ../tty59
lrwxrwxrwx 1 root root  7 Nov 28 02:02 4:6 -> ../tty6
lrwxrwxrwx 1 root root  8 Nov 28 02:02 4:6> ../tty60
lrwxrwxrwx 1 root root  8 Nov 28 02:02 4:61 -> ../tty61
lrwxrwxrwx 1 root root  8 Nov 28 02:02 4:62 -> ../tty62
lrwxrwxrwx 1 root root  8 Nov 28 02:02 4:63 -> ../tty63
lrwxrwxrwx 1 root root  8 Nov 28 02:02 4:64 -> ../ttyS0
lrwxrwxrwx 1 root root  7 Nov 28 02:024:7 -> ../tty7
lrwxrwxrwx 1 root root  7 Nov 28 02:02 4:8 -> ../tty8
lrwxrwxrwx 1 root root  7 Nov 28 02:02 4:9 -> ../tty9
lrwxrwxrwx 1 root root  6 Nov 28 02:02 5:0 -> ../tty
lrwxrwxrwx 1 root root 10 Nov 28 02:02 5:1 -> ../console
lrwxrwxrwx 1 root root  7 Nov 28 02:02 5-> ../ptmx
lrwxrwxrwx 1 root root  6 Nov 28 02:02 7:0 -> ../vcs
lrwxrwxrwx 1 root root  7 Nov 28 02:02 7:1 -> ../vcs1
lrwxrwxrwx 1 root root  7 Nov 28 02:02 7:128 -> ../vcsa
lrwxrwxrwx 1 root root  8 Nov 28 02:02 7:129 -> ../vcsa1

/dev/cpu:
total 0
drwxr-xr-x 2 root rot 80 Nov 28 02:01 0

/dev/cpu/0:
total 0
crw------- 1 root root 203, 0 Nov 28 02:02 cpuid
crw------- 1 root root 202, 0 Nov 28 02:02 msr

/dev/disk:
total 0
drwxr-xr-x 2 root root 80 Nov 28 02:02 by-id
drwxr-xr-x 2 root root 80 Nov 28 02:02 by-path
drwxr-xr-x 2 root t 60 Nov 28 02:02 by-uuid

/dev/disk/by-id:
total 0
lrwxrwxrwx 1 root root 9 Nov 28 02:02 scsi-0QEMU_QEMU_HARDDISK_drive-scsi0-0-0-0 -> ../../sda
lrwxrwxrwx 1 root root 9 Nov 28 02:02 scsi-0QEMU_QEMU_HARDDISK_drive-scsi0-0-1-0 -> ../../sdb

/dev/disk/by-path:
total 0
lwxrwxrwx 1 root root 9 Nov 28 02:02 virtio-pci-0000:00:03.0-scsi-0:0:0:0 -> ../../sda
lrwxrwxrwx 1 root root 9 Nov 28 02:02 virtio-pci-0000:00:03.0-scsi-0:0:1:0 -> ../../sdb

/dev/disk/by-uuid:
total 0
lrwxrwxrwx 1 root root 9 Nov 28 02:02 ba917590-c789-420b-aac8-bce3a61c6 -> ../../sdb

/dev/input:
total 0
drwxr-xr-x 2 root root    120 Nov 28 02:02 by-path
crw------- 1 root root 13, 64 Nov 28 02:02 event0
crw------- 1 root root 13, 65 Nov 28 02:02 event1
crw------- 1 root root 13, 66 Nov 28 02:02 event2
crw------- 1 root root 13, 63 Nov 8 02:02 mice
crw------- 1 root root 13, 32 Nov 28 02:02 mouse0

/dev/input/by-path:
total 0
lrwxrwxrwx 1 root root 9 Nov 28 02:02 platform-i8042-serio-0-event-kbd -> ../event0
lrwxrwxrwx 1 root root 9 Nov 28 02:02 platform-i8042-serio-1-event-mouse -> ../event1
lrwxrwxrw root root 9 Nov 28 02:02 platform-i8042-serio-1-mouse -> ../mouse0
lrwxrwxrwx 1 root root 9 Nov 28 02:02 platform-pcspkr-event-spkr -> ../event2

/dev/mapper:
total 0
crw------- 1 root root 10, 236 Nov 28 02:02 control

/dev/net:
total 0
crw-rw-rw- 1 root root 10, 200Nov 28 02:02 tun

/dev/raw:
total 0
crw------- 1 root root 162, 0 Nov 28 02:02 rawctl

/dev/snd:
total 0
crw-rw---- 1 root audio 116,  1 Nov 28 02:02 seq
crw-rw---- 1 root audio 116, 33 Nov 28 02:02 timer

/dev/vfio:
total 0
crw------- 1 root root 10, 196 Nov 28 02 vfio

/dev/virtio-ports:
total 0
lrwxrwxrwx 1 root root 11 Nov 28 02:02 org.libguestfs.channel.0 -> ../vport1p1
+ cat /proc/mounts
rootfs / rootfs rw 0 0
proc /proc proc rw,relatime 0 0
/dev/root / ext2 rw,noatime 0 0
/proc /proc proc rw,relatime 0 0
/sys /sys sysfs rw,relatime 0 0
tmpfs /run tmpfs rw,nosuid,relatime,size=97700k,mode=755 0 0
/dev /dev devtmpfs rw,relatime,size=241820k,nr_inodes=60455,mode=755 0 0
+ lvm pvs
  WARNING: Failed to connect to lvmetad. Falling back to device scanning.
+ lvm vgs
  WARNING: Failed to connect to lvmetad. Falling back to device scanning.
+ lvm lvs
  WARNING: Failed to connect to lvmetad. Falling back to device scanning.
+ ip a
1: lo: <LOOPBACK,UP,LOWER_UP> mtu 65536 qdisc noqueue state UNKNOWN qlen 1
    link/loopback 00:00:00:00:00:00 brd 00:00:00:00:00:00
    inet 127.0.0.1/8 brd 127.255.255.255 scope host lo
       valid_lft forever preferred_lft forever
    inet6 ::1/128 scope host 
       valid_lft forever preferred_lft forever
+ ip r
+ lsmod
Module                  Size  Used by
dm_mod                114430  0 
kvm_amd                64937  0 
sg                     40721  0 
snd_pcm               106416  0 
snd_timer              29819  1 snd_pcm
snd                    83432  2 snd_timer,snd_pcm
serio_raw              13462  0 
soundcore              15047  1 snd
kvm                   554609  1 kvm_amd
irqbypass              13503  1 kvm
pcspkr                 12718  0 
ata_generic            12910  0 
pata_acpi              13038  0 
libcrc32c              12644  0 
crc8                   12893  0 
crc_itu_t              12707  0 
crc_ccitt              12707  0 
ext4                  583546  1 
mbcache                14958  1 ext4
jbd2                  102945  1 ext4
virtio_pci             22913  0 
virtio_input           13247  0 
virtio_balloon         13834  0 
virtio_scsi            18361  1 
sd_mod                 46322  1 
crc_t10dif             12714  1 sd_mod
nd_pmem                13087  0 
nd_btt                 17929  1 nd_pmem
virtio_net             28024  0 
virtio_console         28115  0 
virtio_rng             13019  0 
virtio_blk             18156  0 
virtio_ring            21524  8 virtio_blk,virtio_net,virtio_pci,virtio_rng,virtio_balloon,virtio_input,virtio_console,virtio_scsi
virtio                 15008  8 virtio_blk,virtio_net,virtio_pci,virtio_rng,virtio_balloon,virtio_input,virtio_console,virtio_scsi
ata_piix               35038  0 
libata                247095  3 pata_acpi,ata_generic,ata_piix
libnvdimm             126631  2 nd_pmem,nd_btt
crct10dif_generic      12647  1 
crc32_generic          12714  0 
crct10dif_common       12595  2 crct10dif_generic,crc_t10dif
+ date
Mon Nov 28 02:02:10 UTC 2016
+ echo -n 'clocksource: '
clocksource: + cat /sys/devices/system/clocksource/clocksource0/current_clocksource
refined-jiffies
+ echo -n 'uptime: '
uptime: + cat /proc/uptime
8.50 0.45
+ test '' = 1
+ cmd=guestfsd
++ grep -Eo 'guestfs_channel=[^[:space:]]+' /proc/cmdline
+ eval
+ test x '!=' x
+ test 1 = 1
+ cmd='guestfsd --verbose'
+ test '' = 1
+ echo guestfsd --verbose
guestfsd --verbose
+ guestfsd --verbose
trying to open virtio-serial channel '/dev/virtio-ports/org.libguestfs.channel.0'
udevadm --debug settle
calling: settle
libguestfs: recv_from_daemon: received GUESTFS_LAUNCH_FLAG
libguestfs: appliance is up
Guest launched OK.
guestfsd: main_loop: new request, len 0x3c
udevadm --debug settle
calling: settle
commandrvf: stdout=e stderr=y flags=0x10000
commandrvf: parted -s -- /dev/sda mklabel msdos mkpart primary 128s -128s
Warning: The resulting partition is not properly aligned for best performance.
udevadm --debug settle
calling: settle
guestfsd: main_loop: proc 210 (part_disk) took 0.52 seconds
guestfsd: main_loop: new request, len 0x54
commandrvf: stdout=y stderr=y flags=0x0
commandrvf: wipefs --help
commandrvf: stdout=n stderr=n flags=0x0
commandrvf: wipefs -a --force /dev/sda1
commandrvf: stdout=n stderr=y flags=0x0
commandrvf: mke2fs -t ext2 -F /dev/sda1
mke2fs 1.42.9 (28-Dec-2013)
guestfsd: main_loop: proc 278 (mkfs) took 0.47 seconds
guestfsd: main_loop: new request, len 0x38
commandrvf: stdout=y stderr=y flags=0x0
commandrvf: blkid -c /dev/null -o value -s TYPE /dev/sda1
guestfsd: main_loop: proc 198 (vfs_type) took 0.29 seconds
guestfsd: main_loop: new request, len 0x40
commandrvf: stdout=n stderr=y flags=0x0
commandrvf: mount -o  /dev/sda1 /sysroot/
[   10.529466] EXT4-fs (sda1): mounting ext2 file system using the ext4 subsystem
[   10.545464] EXT4-fs (sda1): mounted filesystem without journal. Opts: (null)
guestfsd: main_loop: proc 1 (mount) took 0.15 seconds
guestfsd: main_loop: new request, len 0x34
guestfsd: main_loop: proc 3 (touch) took 0.00 seconds
guestfsd: main_loop: new request, len 0x28
umount-all: /proc/mounts: fsname=rootfs dir=/ type=rootfs opts=rw freq=0 passno=0
umount-all: /proc/mounts: fsname=proc dir=/proc type=proc opts=rw,relatime freq=0 passno=0
umount-all: /proc/mounts: fsname=/dev/root dir=/ type=ext2 opts=rw,noatime freq=0 passno=0
umount-all:/proc/mounts: fsname=/proc dir=/proc type=proc opts=rw,relatime freq=0 passno=0
umount-all: /proc/mounts: fsname=/sys dir=/sys type=sysfs opts=rw,relatime freq=0 passno=0
umount-all: /proc/mounts: fsname=tmpfs dir=/run type=tmpfs opts=rw,nosuid,relatime,size=97700k,mode=755 fq=0 passno=0
umount-all: /proc/mounts: fsname=/dev dir=/dev type=devtmpfs opts=rw,relatime,size=241820k,nr_inodes=60455,mode=755 freq=0 passno=0
umount-all: /proc/mounts: fsname=/dev/sda1 dir=/sysroot type=ext2 opts=rw,relatime freq=0 passno=0
commandrvf: stdout=n stderr=y flags=0x0
commandrvf: umount /sysroot
fsync /dev/sda
libguestfs: calling virDomainDestroy flags=VIR_DOMAIN_DESTROY_GRACEFUL
libguestfs: closing guestfs handle 0x7fe36be287b0 (state 0)
libguestfs: command: run: rm
libguestfs: command: run: \ -rf /tmp/libguestfsPg4YC2
===== TEST FINISHED OK =====

---------------------------------

Comment 4 Richard W.M. Jones 2016-11-28 08:41:08 UTC
Which version of qemu is this?

Also try:

  guestfish -v -x --network -a /dev/null run

Comment 5 Star 2016-11-28 13:50:01 UTC
Dear Richard,

qemu version was as below.
--------------------------

[root@hqav2v02 ~]# rpm -qa | grep qemu
qemu-kvm-common-1.5.3-126.el7.x86_64
libvirt-daemon-driver-qemu-2.0.0-10.el7.x86_64
ipxe-roms-qemu-20160127-5.git6366fa7a.el7.noarch
qemu-img-1.5.3-126.el7.x86_64
qemu-kvm-1.5.3-126.el7.x86_64

--------------------------

the log of "guestfish -v -x --network -a /dev/null run" command was as below.

-----------------------------------------
[root@hqav2v02 ~]# guestfish -v -x --network -a /dev/null run
libguestfs: trace: set_network true
libguestfs: trace: set_network = 0
libguestfs: trace: set_pgroup true
libguestfs: trace: set_pgroup = 0
libguestfs: trace: add_drive "/dev/null"
libguestfs: trace: get_tmpdir
libguestfs: trace: get_tmpdir = "/tmp"
libguestfs: trace: disk_create "/tmp/libguestfsMki2DE/devnull1" "raw" 4096
libguestfs: trace: disk_create = 0
libguestfs: trace: add_drive = 0
libguestfs: trace: launch
libguestfs: trace: version
libguestfs: trace: version = <struct guestfs_version = major: 1, minor: 32, release: 7, extra: rhel=7,release=3.el7,libvirt, >
libguestfs: trace: get_backend
libguestfs: trace: get_backend = "libvirt"
libguestfs: launch: program=guestfish
libguestfs: launch: version=1.32.7rhel=7,release=3.el7,libvirt
libguestfs: launch: backend registered: unix
libguestfs: launch: backend registered: uml
libguestfs: launch: backend registered: libvirt
libguestfs: launch: backend registered: direct
libguestfs: launch: backend=libvirt
libguestfs: launch: tmpdir=/tmp/libguestfsMki2DE
libguestfs: launch: umask=0022
libguestfs: launch: euid=0
libguestfs: libvirt version = 2000000 (2.0.0)
libguestfs: guest random name = guestfs-gc92482htdcih9c4
libguestfs: connect to libvirt
libguestfs: opening libvirt handle: URI = qemu:///system, auth = default+wrapper, flags = 0
libguestfs: successfully opened libvirt handle: conn = 0x7f5befd5f5d0
libguestfs: qemu version (reported by libvirt) = 1005003 (1.5.3)
libguestfs: get libvirt capabilities
libguestfs: parsing capabilities XML
libguestfs: trace: get_backend_setting "force_tcg"
libguestfs: trace: get_backend_setting = NULL (error)
libguestfs: trace: get_backend_setting "internal_libvirt_label"
libguestfs: trace: get_backend_setting = NULL (error)
libguestfs: trace: get_backend_setting "internal_libvirt_imagelabel"
libguestfs: trace: get_backend_setting = NULL (error)
libguestfs: trace: get_backend_setting "internal_libvirt_norelabel_disks"
libguestfs: trace: get_backend_setting = NULL (error)
libguestfs: build appliance
libguestfs: trace: get_cachedir
libguestfs: trace: get_cachedir = "/var/tmp"
libguestfs: begin building supermin appliance
libguestfs: run supermin
libguestfs: command: run: /usr/bin/supermin5
libguestfs: command: run: \ --build
libguestfs: command: run: \ --verbose
libguestfs: command: run: \ --if-newer
libguestfs: command: run: \ --lock /var/tmp/.guestfs-0/lock
libguestfs: command: run: \ --copy-kernel
libguestfs: command: run: \ -f ext2
libguestfs: command: run: \ --host-cpu x86_64
libguestfs: command: run: \ /usr/lib64/guestfs/supermin.d
libguestfs: command: run: \ -o /var/tmp/.guestfs-0/appliance.d
supermin: version: 5.1.16
supermin: rpm: detected RPM version 4.11
supermin: package handler: fedora/rpm
supermin: acquiring lock on /var/tmp/.guestfs-0/lock
supermin: if-newer: output does not need rebuilding
libguestfs: finished building supermin appliance
libguestfs: trace: disk_create "/tmp/libguestfsMki2DE/overlay2" "qcow2" -1 "backingfile:/var/tmp/.guestfs-0/appliance.d/root" "backingformat:raw"
libguestfs: command: run: qemu-img
libguestfs: command: run: \ create
libguestfs: command: run: \ -f qcow2
libguestfs: command: run: \ -o backing_file=/var/tmp/.guestfs-0/appliance.d/root,backing_fmt=raw
libguestfs: command: run: \ /tmp/libguestfsMki2DE/overlay2
Formatting '/tmp/libguestfsMki2DE/overlay2', fmt=qcow2 size=4294967296 backing_file='/var/tmp/.guestfs-0/appliance.d/root' backing_fmt='raw' encryption=off cluster_size=65536 lazy_refcounts=off 
libguestfs: trace: disk_create = 0
libguestfs: set_socket_create_context: getcon failed: (none): Invalid argument [you can ignore this message if you are not using SELinux + sVirt]
libguestfs: clear_socket_create_context: setsockcreatecon failed: NULL: Invalid argument [you can ignore this message if you are not using SELinux + sVirt]
libguestfs: create libvirt XML
libguestfs: command: run: dmesg | grep -Eoh 'lpj=[[:digit:]]+'
libguestfs: read_lpj_from_dmesg: calculated lpj=2693509
libguestfs: trace: get_cachedir
libguestfs: trace: get_cachedir = "/var/tmp"
libguestfs: libvirt XML:\n<?xml version="1.0"?>\n<domain type="qemu" xmlns:qemu="http://libvirt.org/schemas/domain/qemu/1.0">\n  <name>guestfs-gc92482htdcih9c4</name>\n  <memory unit="MiB">500</memory>\n  <currentMemory unit="MiB">500</currentMemory>\n  <vcpu>1</vcpu>\n  <clock offset="utc">\n    <timer name="rtc" tickpolicy="catchup"/>\n    <timer name="pit" tickpolicy="delay"/>\n    <timer name="hpet" present="no"/>\n  </clock>\n  <os>\n    <type>hvm</type>\n    <kernel>/var/tmp/.guestfs-0/appliance.d/kernel</kernel>\n    <initrd>/var/tmp/.guestfs-0/appliance.d/initrd</initrd>\n    <cmdline>panic=1 console=ttyS0 udevtimeout=6000 udev.event-timeout=6000 no_timer_check lpj=2693509 printk.time=1 cgroup_disable=memory usbcore.nousb cryptomgr.notests 8250.nr_uarts=1 root=/dev/sdb selinux=0 guestfs_verbose=1 guestfs_network=1 TERM=xterm</cmdline>\n    <bios useserial="yes"/>\n  </os>\n  <on_reboot>destroy</on_reboot>\n  <devices>\n    <rng model="virtio">\n      <backend model="random">/dev/urandom</backend>\n    </rng>\n    <controller type="scsi" index="0" model="virtio-scsi"/>\n    <disk device="disk" type="file">\n      <source file="/tmp/libguestfsMki2DE/devnull1"/>\n      <target dev="sda" bus="scsi"/>\n      <driver name="qemu" type="raw" cache="writeback"/>\n      <address type="drive" controller="0" bus="0" target="0" unit="0"/>\n    </disk>\n    <disk type="file" device="disk">\n      <source file="/tmp/libguestfsMki2DE/overlay2"/>\n      <target dev="sdb" bus="scsi"/>\n      <driver name="qemu" type="qcow2" cache="unsafe"/>\n      <address type="drive" controller="0" bus="0" target="1" unit="0"/>\n      <shareable/>\n    </disk>\n    <serial type="unix">\n      <source mode="connect" path="/tmp/libguestfsMki2DE/console.sock"/>\n      <target port="0"/>\n    </serial>\n    <channel type="unix">\n      <source mode="connect" path="/tmp/libguestfsMki2DE/guestfsd.sock"/>\n      <target type="virtio" name="org.libguestfs.channel.0"/>\n    </channel>\n  </devices>\n  <qemu:commandline>\n    <qemu:env name="TMPDIR" value="/var/tmp"/>\n    <qemu:arg value="-netdev"/>\n    <qemu:arg value="user,id=usernet,net=169.254.0.0/16"/>\n    <qemu:arg value="-device"/>\n    <qemu:arg value="virtio-net-pci,netdev=usernet"/>\n  </qemu:commandline>\n</domain>\n
libguestfs: trace: get_cachedir
libguestfs: trace: get_cachedir = "/var/tmp"
libguestfs: command: run: ls
libguestfs: command: run: \ -a
libguestfs: command: run: \ -l
libguestfs: command: run: \ -R
libguestfs: command: run: \ -Z /var/tmp/.guestfs-0
libguestfs: /var/tmp/.guestfs-0:
libguestfs: drwxr-xr-x. root root unconfined_u:object_r:user_tmp_t:s0 .
libguestfs: drwxrwxrwt. root root system_u:object_r:tmp_t:s0       ..
libguestfs: drwxr-xr-x. root root unconfined_u:object_r:user_tmp_t:s0 appliance.d
libguestfs: -rw-r--r--. root root unconfined_u:object_r:user_tmp_t:s0 lock
libguestfs: 
libguestfs: /var/tmp/.guestfs-0/appliance.d:
libguestfs: drwxr-xr-x. root root unconfined_u:object_r:user_tmp_t:s0 .
libguestfs: drwxr-xr-x. root root unconfined_u:object_r:user_tmp_t:s0 ..
libguestfs: -rw-r--r--. qemu qemu unconfined_u:object_r:user_tmp_t:s0 initrd
libguestfs: -rwxr-xr-x. qemu qemu unconfined_u:object_r:user_tmp_t:s0 kernel
libguestfs: -rw-r--r--. qemu qemu unconfined_u:object_r:user_tmp_t:s0 root
libguestfs: command: run: ls
libguestfs: command: run: \ -a
libguestfs: command: run: \ -l
libguestfs: command: run: \ -Z /tmp/libguestfsMki2DE
libguestfs: drwxr-xr-x  root root ?                                .
libguestfs: drwxrwxrwt. root root system_u:object_r:tmp_t:s0       ..
libguestfs: srw-rw----  root qemu ?                                console.sock
libguestfs: -rw-r--r--  root root ?                                devnull1
libguestfs: srw-rw----  root qemu ?                                guestfsd.sock
libguestfs: -rw-r--r--  root root ?                                overlay2
libguestfs: launch libvirt guest
libguestfs: responding to serial console Device Status Report
\x1b[1;256r\x1b[256;256H\x1b[6n
Google, Inc.
Serial Graphics Adapter 12/29/13
SGABIOS $Id: sgabios.S 8 2010-04-22 00:03:40Z nlaredo $ (mockbuild@) Sun Dec 29 03:43:06 UTC 2013
Term: 80x24
4 0
SeaBIOS (version 1.9.1-5.el7)
Machine UUID a64477ed-c935-476f-8011-002b3792b500


iPXE (http://ipxe.org) 00:02.0 C100 PCI2.10 PnP PMM+1F3977A0+1F2F77A0 C100
                                                                               


Booting from ROM...
Probing EDD (edd=off to disable)... ok
\x1b[2J[    0.000000] Initializing cgroup subsys cpuset
[    0.000000] Initializing cgroup subsys cpu
[    0.000000] Initializing cgroup subsys cpuacct
[    0.000000] Linux version 3.10.0-514.el7.x86_64 (mockbuild@x86-039.build.eng.bos.redhat.com) (gcc version 4.8.5 20150623 (Red Hat 4.8.5-11) (GCC) ) #1 SMP Wed Oct 19 11:24:13 EDT 2016
[    0.000000] Command line: panic=1 console=ttyS0 udevtimeout=6000 udev.event-timeout=6000 no_timer_check lpj=2693509 printk.time=1 cgroup_disable=memory usbcore.nousb cryptomgr.notests 8250.nr_uarts=1 root=/dev/sdb selinux=0 guestfs_verbose=1 guestfs_network=1 TERM=xterm
[    0.000000] e820: BIOS-provided physical RAM map:
[    0.000000] BIOS-e820: [mem 0x0000000000000000-0x000000000009f7ff] usable
[    0.000000] BIOS-e820: [mem 0x000000000009f800-0x000000000009ffff] reserved
[    0.00000] BIOS-e820: [mem 0x00000000000f0000-0x00000000000fffff] reserved
[    0.000000] BIOS-e820: [mem 0x0000000000100000-0x000000001f3fbfff] usable
[    0.000000] BIOS-e820: [mem 0x000000001f3fc000-0x000000001f3fffff] reserved
[    0.000000] BIOS-e820: [mem 0x00000000fffc0000-0x00000000ffffffff] reserved
[    0.000000] NX (Execute Disable) protection: active
[    0.000000] SMBIOS 2.4 present.
[    0.000000] e820: last_pfn = 0x1f3fc max_arch_pfn = 0x400000000
[    0.000000] x86 PAT enabled: cpu 0, old 0x7040600070406, new 0x7010600070106
[    0.000000] found SMP MP-table at [mem 0x000f73d0-0x000f73df] mapped at [ffff8800000f73d0]
[    0.000000] RAMDISK: [mem 0x1f0da000-0x1f3effff]
[    0.000000] ACPI BIOS Error (bug): A valid RSDP was not found (20130517/tbxfroot-218)
[    0.000000] No NUMA configuration found
[    0.000000] Faking a node at [mem 0x0000000000000000-0x000000001f3fbfff]
[    0.000000] Initmem setup node 0 [mem 0x00000000-0x1f3fbfff]
[    0.000000]   NODE_DATA [mem 0x1f0b3000-0x1f0d9fff]
[    0.000000] Zone ranges:
[    0.000000]   DMA      [mem 0x00001000-0x00ffffff]
[    0.000000]   DMA32    [mem 0x01000000-0xffffffff]
[    0.000000]   Normal   empty
[    0.000000] Movable zone start for each node
[    0.000000] Early memory node ranges
[    0.000000]   node   0: [mem 0x00001000-0x0009efff]
[    0.000000]   node   0: [mem 0x00100000-0x1f3fbfff]
[    0.000000] SFI: Simple Firmware Interface v0.81 http://simplefirmware.org
[    0.000000] Intel MultiProcessor Specification v1.4
[    0.000000] MPTABLE: OEM ID: BOCHSCPU
[    0.000000] MPTABLE: Product ID: 0.1         
[    0.000000] MPTABLE: APIC at: 0xFEE00000
[    0.000000] Processor #0 (Bootup-CPU)
[    0.000000] IOAPIC[0]: apic_id 0, version 17, address 0xfec00000, GSI 0-23
[    0.000000] Processors: 1
[    0.000000] smpboot: Allowing 1 CPUs, 0 hotplug CPUs
[    0.000000] PM: Registered nosave memory: [mem 0x0009f000-0x0009ffff]
[    0.000000] PM: Registered nosave memory: [mem 0x000a0000-0x000effff]
[    0.000000] PM: Registered nosave memory: [mem 0x000f0000-0x000fffff]
[    0.000000] e820: [mem 0x1f400000-0xfffbffff] available for PCI devices
[    0.000000] Booting paravirtualized kernel n bare hardware
[    0.000000] setup_percpu: NR_CPUS:5120 nr_cpumask_bits:1 nr_cpu_ids:1 nr_node_ids:1
[    0.000000] PERCPU: Embedded 33 pages/cpu @ffff88001ee00000 s96728 r8192 d30248 u2097152
[    0.000000] Built 1 zonelists in Node order, mobility grouping on.  Total pags: 125877
[    0.000000] Policy zone: DMA32
[    0.000000] Kernel command line: panic=1 console=ttyS0 udevtimeout=6000 udev.event-timeout=6000 no_timer_check lpj=2693509 printk.time=1 cgroup_disable=memory usbcore.nousb cryptomgr.notests 8250.nr_uarts=1 root=/dev/sdb selinux=0 guestfs_verbose=1 guestfs_network=1 TERM=xterm
[    0.000000] Disabling memory control group subsystem
[    0.000000] PID hash table entries: 2048 (order: 2, 16384 bytes)
[    0.000000] Memory: 483616k/511984k available (6764k kernel code, 392k absent, 27976k reserved, 4433k data, 1680k init)
[    0.000000] SLUB: HWalign=64, Order=0-3, MinObjects=0, CPUs=1, Nodes=1
[    0.000000] Hierarchical RCU implementation.
[    0.000000] \tRCU restricting CPUs from NR_CPUS=5120 to nr_cpu_ids=1.
[    0.000000] NR_IRQS:327936 nr_irqs:256 0
[    0.000000] Console: colour *CGA 80x25
[    0.000000] console [ttyS0] enabled
[    0.000000] tsc: Unable to calibrate against PIT
[    0.000000] tsc: No reference (HPET/PMTIMER) available
[    0.000000] tsc: Marking TSC unstable due to could not calculate TSC khz
[    0.006000] Calibrating delay loop (skipped) preset value.. 5387.01 BogoMIPS (lpj=2693509)
[    0.007000] pid_max: default: 32768 minimum: 301
[    0.008000] Security Framework initialized
[    0.009000] SELinux:  Disabled at boot.
[    0.011000] Dentry cache hash table entries: 65536 (order: 7, 524288 bytes)
[    0.012000] Inode-cache hash table entries: 32768 (order: 6, 262144 bytes)
[    0.012000] Mount-cache hash table entries: 4096
[    0.014000] Initializing cgroup subsys memory
[    0.015000] Initializing cgroup subsys devices
[    0.015000] Initializing cgroup subsys freezer
[    0.015000] Initializing cgroup subsys net_cls
[    0.015000] Initializing cgroup subsys blkio
[    0.015000] Initializing cgroup subsys perf_event
[    0.016000] Initializing cgroup subsys hugetlb
[    0.016000] Initializing cgroup subsys pids
[    0.016000] Initializing cgroup subsys net_prio
[    0.016000] mce: CPU supports 10 MCE banks
[    0.017000] Last level iTLB entries: 4KB 0, 2MB 0, 4MB 0
[    0.018000] Last level dTLB entries: 4KB 0, 2MB 0, 4MB 0
[    0.018000] tlb_flushall_shift: -1
[    0.100000] Freeing SMP alternatives: 28k freed
[    0.103000] ftrace: allocating 25811 entries in 101 pages
[    0.123000] smpboot: Max logical packages: 1
[    0.123000] smpboot: APIC(0) Converting physical 0 to logical package 0
[    0.124000] ------------[ cut here ]------------
[    0.124000] WARNING: at arch/x86/kernel/apic/apic.c:1409 setup_local_APIC+0x284/0x380()
[    0.124000] Modules linked in:
[    0.125000] CPU: 0 PID: 1 Comm: swapper/0 Not tainted 3.10.0-514.el7.x86_64 #1
[    0.125000] Hardware name: Red Hat KVM, BIOS 0.5.1 01/01/2011
[    0.126000]  0000000000000000 0000000064e5cfda ffff88001e95fda8 ffffffff81685eac
[    0.126000]  ffff88001e95fde0 ffffffff81085820 0000000000000000 00000000000000f0
[    0.126000]  0000000000000000 00000000ffffffff 0000000000000001 ffff88001e95fdf0
[    0.128000] Call Trace:
[    0.128000]  [<ffffffff81685eac>] dump_stack+0x19/0x1b
[    0.128000]  [<ffffffff81085820>] warn_slowpath_common+0x70/0xb0
[    0.128000]  [<ffffffff8108596a>] warn_slowpath_null+0x1a/0x20
[    0.128000]  [<ffffffff81051a14>] setup_local_APIC+0x284/0x380
[    0.129000]  [<ffffffff81b1d9ef>] native_smp_prepare_cpus+0x294/0x35b
[    0.129000]  [<ffffffff81b0a136>] kernel_init_freeable+0xbb/0x21c
[    0.129000]  [<ffffffff81674310>] ? rest_init+0x80/0x80
[    0.129000]  [<ffffffff8167431e>] kernel_init+0xe/0xf0
[    0.130000]  [<ffffffff81696418>] ret_from_fork+0x58/0x90
[    0.130000]  [<ffffffff81674310>] ? rest_init+0x80/0x80
[    0.132000] ---[ end trace 8a93235690d7180f ]---
[    0.134000] ..TIMER: vector=0x30 apic1=0 pin1=2 apic2=-1 pin2=-1
[    0.134000] smpboot: CPU0: AMD QEMU Virtual CPU version 1.5.3 (fam: 06, model: 0d, stepping: 03)
[    0.324000] APIC timer disabled due to verification failure
[    0.324000] Performance Events: Broken PMU hardware detected, using software events only.
[    0.324000] Failed to access perfctr msr (MSR c0010007 is 0)
[    0.328000] Brought up 1 CPUs
[    0.329000] smpboot: Total of 1 processors activated (5387.01 BogoMIPS)
[    0.330000] NMI watchdog: disabled (cpu0): hardware events not enabled
[    0.330000] NMI watchdog: Shutting down hard lockup detector on all cpus
[    0.334000] devtmpfs: initialized
[    0.338000] EVM: security.selinux
[    0.338000] EVM: security.ima
[    0.338000] EVM: security.capability
[    0.349000] atomic64 test passed for x86-64 platform with CX8 and with SSE
[    0.350000] pinctrl core: initialized pinctrl subsystem
[    0.350000] NET: Registered protocol family 16
[    0.352000] PCI: Using configuration type 1 for base access
[    0.357000] ACPI: Interpreter disabled.
[    0.359000] vgaarb: loaded
[    0.359000] SCSI subsystem initialized
[    0.360000] usbcore: registered new interface driver usbfs
[    0.360000] usbcore: registered new interface driver hub
[    0.360000] usbcore: registered new device driver usb
[    0.361000] PCI: Probing PCI hardware
[    0.361000] PCI host bridge to bus 0000:00
[    0.361000] pci_bus 0000:00: root bus resource [io  0x0000-0xffff]
[    0.362000] pci_bus 0000:00: root bus resource [mem 0x00000000-0xffffffffff]
[    0.362000] pci_bus 0000:00: No busn resource found for root bus, will use [bus 00-ff]
[    0.364000] pci 0000:00:01.1: legacy IDE quirk: reg 0x10: [io  0x01f0-0x01f7]
[    0.365000] pci 0000:00:01.1: legacy IDE quirk: reg 0x14: [io  0x03f6]
[    0.365000] pci 0000:00:01.1: legacy IDE quirk: reg 0x18: [io  0x0170-0x0177]
[    0.365000] pci 0000:00:01.1: legacy IDE quirk: reg 0x1c: [io  0x0376]
[    0.381000] pci 0000:00:01.0: PIIX/ICH IRQ router [8086:7000]
[    0.384000] NetLabel: Initializing
[    0.384000] NetLabel:  domain hash size = 128
[    0.384000] NetLabel:  protocols = UNLABELED CIPSOv4
[    0.385000] NetLabel:  unlabeled traffic allowed by default
[    0.385000] Switched to clocksource refined-jiffies
[    0.404996] pnp: PnP ACPI: disabled
[    0.409996] NET: Registered protocol family 2
[    0.411995] TCP established hash table entries: 4096 (order: 3, 32768 bytes)
[    0.411995] TCP bind hash table entries: 4096 (order: 4, 65536 bytes)
[    0.412995] TCP: Hash tables configured (established 4096 bind 4096)
[    0.412995] TCP: reno registered
[    0.412995] UDP hash table entries: 256 (order: 1, 8192 bytes)
[    0.413995] UDP-Lite hash table entries: 256 (order: 1, 8192 bytes)
[    0.413995] NET: Registered protocol family 1
[    0.413995] pci 0000:00:00.0: Limiting direct PCI/PCI transfers
[    0.413995] pci 0000:00:01.0: PIIX3: Enabling Passive Release
[    0.414995] pci 0000:00:01.0: Activating ISA DMA hang workarounds
[    0.414995] pci 0000:00:01.2: PCI->APIC IRQ transform: INT D -> IRQ 25
[    0.416995] Unpacking initramfs...
[    0.422994] Freeing initrd memory: 3160k freed
[    0.425993] platform rtc_cmos: registered platform RTC device (no PNP device found)
[    0.428993] sha1_ssse3: Neither AVX nor AVX2 nor SSSE3/SHA-NI is available/usable.
[    0.428993] sha256_ssse3: Neither AVX nor SSSE3/SHA-NI is available/usable.
[    0.430993] futex hash table entries: 256 (order: 2, 16384 bytes)
[    0.431992] Initialise system trusted keyring
[    0.431992] audit: initializing netlink socket (disabled)
[    0.432992] type=2000 audit(1480340702.431:1): initialized
[    0.480985] HugeTLB registered 2 MB page size, pre-allocated 0 pages
[    0.484984] zpool: loaded
[    0.485984] zbud: loaded
[    0.486984] VFS: Disk quotas dquot_6.5.2
[    0.486984] Dquot-cache hash table entries: 512 (order 0, 4096 bytes)
[    0.488984] msgmni has been set to 950
[    0.488984] Key type big_key registered
[    0.491983] NET: Registered protocol family 38
[    0.491983] Key type asymmetric registered
[    0.491983] Asymmetric key parser 'x509' registered
[    0.492983] Block layer SCSI generic (bsg) driver version 0.4 loaded (major 251)
[    0.492983] io scheduler noop registered
[    0.493983] io scheduler deadline registered (default)
[    0.493983] io scheduler cfq registered
[    0.494983] pci_hotplug: PCI Hot Plug PCI Core version: 0.5
[    0.494983] pciehp: PCI Express Hot Plug Controller Driver version: 0.4
[    0.495983] Serial: 8250/16550 driver, 1 ports, IRQ sharing enabled
[    0.497982] serial8250: ttyS0 at I/O 0x3f8 (irq = 4) is a 16550A
[    0.500982] Non-volatile memory driver v1.3
[    0.500982] Linux agpgart interface v0.103
[    0.501982] crash memory driver: version 1.1
[    0.501982] rdac: device handler registered
[    0.501982] hp_sw: device handler registered
[    0.501982] emc: device handler registered
[    0.502982] alua: device handler registered
[    0.502982] libphy: Fixed MDIO Bus: probed
[    0.503981] ehci_hcd: USB 2.0 'Enhanced' Host Controller (EHCI) Driver
[    0.503981] ehci-pci: EHCI PCI platform driver
[    0.503981] ohci_hcd: USB 1.1 'Open' Host Controller (OHCI) Driver
[    0.504981] ohci-pci: OHCI PCI platform driver
[    0.504981] uhci_hcd: USB Universal Host Controller Interface driver
[    0.504981] uhci_hcd 0000:00:01.2: PCI->APIC IRQ transform: INT D -> IRQ 25
[    0.504981] uhci_hcd 0000:00:01.2: UHCI Host Controller
[    0.505981] uhci_hcd 0000:00:01.2: new USB bus registered, assigned bus number 1
[    0.505981] uhci_hcd 0000:00:01.2: detected 2 ports
[    0.505981] uhci_hcd 0000:00:01.2: irq 25, io base 0x0000c040
[    0.507981] usb usb1: New USB device found, idVendor=1d6b, idProduct=0001
[    0.507981] usb usb1: New USB device strings: Mfr=3, Product=2, SerialNumber=1
[    0.507981] usb usb1: Product: UHCI Host Controller
[    0.507981] usb usb1: Manufacturer: Linux 3.10.0-514.el7.x86_64 uhci_hcd
[    0.508981] usb usb1: SerialNumber: 0000:00:01.2
[    0.508981] hub 1-0:1.0: USB hub found
[    0.509981] hub 1-0:1.0: 2 ports detected
[    0.510980] usbcore: registered new interface driver usbserial
[    0.510980] usbcore: registered new interface driver usbserial_generic
[    0.510980] usbserial: USB Serial support registered for generic
[    0.510980] i8042: PNP: No PS/2 controller found. Probing ports directly.
[    0.512980] serio: i8042 KBD port at 0x60,0x64 irq 1
[    0.512980] serio: i8042 AUX port at 0x60,0x64 irq 12
[    0.512980] mousedev: PS/2 mouse device common for all mice
[    0.513980] input: AT Translated Set 2 keyboard as /devices/platform/i8042/serio0/input/input0
[    0.515980] rtc_cmos rtc_cmos: rtc core: registered rtc_cmos as rtc0
[    0.515980] rtc_cmos rtc_cmos: alarms up to one day, 114 bytes nvram
[    0.515980] cpuidle: using governor menu
[    0.516979] hidraw: raw HID events driver (C) Jiri Kosina
[    0.516979] usbcore: registered new interface driver usbhid
[    0.516979] usbhid: USB HID core driver
[    0.517979] drop_monitor: Initializing network drop monitor service
[    0.517979] TCP: cubic registered
[    0.517979] Initializing XFRM netlink socket
[    0.519979] NET: Registered protocol family 10
[    0.520979] NET: Registered protocol family 17
[    0.521979] microcode: AMD CPU family 0x6 not supported
[    0.522979] Loading compiled-in X.509 certificates
[    0.523978] Loaded X.509 cert 'Red Hat Enterprise Linux Driver Update Program (key 3): bf57f3e87362bc7229d9f465321773dfd1f77a80'
[    0.524978] Loaded X.509 cert 'Red Hat Enterprise Linux kpatch signing key: 4d38fd864ebe18c5f0b72e3852e2014c3a676fc8'
[    0.525978] Loaded X.509 cert 'Red Hat Enterprise Linux kernel signing key: 75fea1df245accd97a17fe3a367261e65f8a1e60'
[    0.525978] registered taskstats version 1
[    0.527978] Key type trusted registered
[    0.528978] Key type encrypted registered
[    0.529977] IMA: No TPM chip found, activating TPM-bypass!
[    0.530977] rtc_cmos rtc_cmos: setting system clock to 2016-11-28 13:45:05 UTC (1480340705)
[    0.532977] Freeing unused kernel memory: 1680k freed
^H^Hsupermin: mounting /proc
supermin: ext2 mini initrd starting up: 5.1.16 glibc
supermin: cmdline: panic=1 console=ttyS0 udevtimeout=6000 udev.event-timeout=6000 no_timer_check lpj=2693509 printk.time=1 cgroup_disable=memory usbcore.nousb cryptomgr.notests 8250.nr_uarts=1 root=/dev/sdb selinux=0 guestfs_verbose=1 guestfs_network=1 TERM=xterm
supermin: uptime: 0.55 0.12
supermin: mounting /sys
supermin: internal insmod crc32-pclmul.ko
[    0.560973] PCLMULQDQ-NI instructions are not detected.
insmod: init_module: crc32-pclmul.ko: No such device
supermin: internal insmod crc32c-intel.ko
insmod: init_module: crc32c-intel.ko: No such device
supermin: internal insmod crct10dif_common.ko
supermin: internal insmod crct10dif-pclmul.ko
insmod: init_module: crct10dif-pclmul.ko: No such device
supermin: internal insmod crc32_generic.ko
[    0.571971] alg: No test for crc32 (crc32-generic)
supermin: internal insmod crct10dif_generic.ko
supermin: internal insmod libnvdimm.ko
supermin: internal insmod nfit.ko
insmod: init_module: nfit.ko: No such device
supermin: internal insmod libata.ko
supermin: internal insmod ata_piix.ko
[    0.596967] scsi host0: ata_piix
[    0.597967] scsi host1: ata_piix
[    0.597967] ata1: PATA max MWDMA2 cmd 0x1f0 ctl 0x3f6 bmdma 0xc0e0 irq 14
[    0.597967] ata2: PATA max MWDMA2 cmd 0x170 ctl 0x376 bmdma 0xc0e8 irq 15
supermin: internal insmod virtio.ko
supermin: internal insmod virtio_ring.ko
supermin: internal insmod virtio_blk.ko
supermin: internal insmod virtio-rng.ko
supermin: internal insmod virtio_console.ko
supermin: internal insmod virtio_net.ko
supermin: internal insmod nd_btt.ko
supermin: internal insmod nd_pmem.ko
supermin: internal insmod crc-t10dif.ko
supermin: internal insmod sd_mod.ko
supermin: internal insmod virtio_scsi.ko
supermin: internal insmod virtio_balloon.ko
supermin: internal insmod virtio_input.ko
supermin: internal insmod virtio_pci.ko
[    0.782939] virtio-pci 0000:00:02.0: PCI->APIC IRQ transform: INT A -> IRQ 24
[    0.782939] virtio-pci 0000:00:02.0: virtio_pci: leaving for legacy driver
[    0.787938] virtio-pci 0000:00:03.0: PCI->APIC IRQ transform: INT A -> IRQ 25
[    0.788938] virtio-pci 0000:00:03.0: virtio_pci: leaving for legacy driver
[    0.789938] scsi host2: Virtio SCSI HBA
[    0.792937] scsi 2:0:0:0: Direct-Access     QEMU     QEMU HARDDISK    1.5. PQ: 0 ANSI: 5
[    0.794937] virtio-pci 0000:00:04.0: PCI->APIC IRQ transform: INT A -> IRQ 25
[    0.794937] virtio-pci 0000:00:04.0: virtio_pci: leaving for legacy driver
[    0.796937] scsi 2:0:1:0: Direct-Access     QEMU     QEMU HARDDISK    1.5. PQ: 0 ANSI: 5
[    0.798937] virtio-pci 0000:00:05.0: PCI->APIC IRQ transform: INT A -> IRQ 24
[    0.798937] virtio-pci 0000:00:05.0: virtio_pci: leaving for legacy driver
[    0.803936] virtio-pci 0000:00:06.0: PCI->APIC IRQ transform: INT A -> IRQ 24
[    0.804936] virtio-pci 0000:00:06.0: virtio_pci: leaving for legacy driver
[    0.863927] sd 2:0:0:0: [sda] 8 512-byte logical blocks: (4.09 kB/4.00 KiB)
[    0.864927] sd 2:0:0:0: [sda] Write Protect is off
[    0.864927] sd 2:0:0:0: [sda] Write cache: enabled, read cache: enabled, doesn't support DPO or FUA
[    0.865926] sd 2:0:1:0: [sdb] 8388608 512-byte logical blocks: (4.29 GB/4.00 GiB)
[    0.866926] sd 2:0:1:0: [sdb] Write Protect is off
[    0.866926] sd 2:0:1:0: [sdb] Write cache: enabled, read cache: enabled, doesn't support DPO or FUA
[    0.867926] Dev sda: unable to read RDB block 8
[    0.867926]  sda: unable to read partition table
[    0.867926] sda: partition table beyond EOD, enabling native capacity
[    0.877925] sd 2:0:1:0: [sdb] Attached SCSI disk
[    0.878924] Dev sda: unable to read RDB block 8
[    0.878924]  sda: unable to read partition table
[    0.879924] sda: partition table beyond EOD, truncated
[    0.881924] sd 2:0:0:0: [sda] Attached SCSI disk
supermin: internal insmod jbd2.ko
supermin: internal insmod mbcache.ko
supermin: internal insmod ext4.ko
supermin: internal insmod crc-ccitt.ko
supermin: internal insmod crc-itu-t.ko
supermin: internal insmod crc8.ko
supermin: internal insmod libcrc32c.ko
supermin: picked /sys/block/sdb/dev as root device
supermin: creating /dev/root as block special 8:16
supermin: mounting new root on /root
[    0.974910] EXT4-fs (sdb): mounting ext2 file system using the ext4 subsystem
[    0.990907] EXT4-fs (sdb): mounted filesystem without journal. Opts: 
supermin: deleting initramfs files
supermin: chroot
Starting /init script ...
+ [[ panic=1 console=ttyS0 udevtimeout=6000 udev.event-timeout=6000 no_timer_check lpj=2693509 printk.time=1 cgroup_disable=memory usbcore.nousb cryptomgr.notests 8250.nr_uarts=1 root=/dev/sdb selinux=0 guestfs_verbose=1 guestfs_network=1 TERM=xterm == *guestfs_network=1* ]]
+estfs_network=1
+ [[ panic=1 console=ttyS0 udevtimeout=6000 udev.event-timeout=6000 no_timer_check lpj=2693509 printk.time=1 cgroup_disable=memory usbcore.nousb cryptomgr.notests 8250.nr_uarts=1 root=/dev/sdb selinux=0 guestfs_verbose=1 guestfs_network=1 TERM=xterm == *guestfsrescue=1* ]]
+ [[ panic=1 console=ttyS0 udevtimeout=6000 udev.event-timeout=6000 no_timer_check lpj=2693509 printk.time=1 cgroup_disable=memory usbcore.nousb cryptomgr.notests 8250.nr_uarts=1 root=/dev/sdb selinux=0 guestfs_verbose=1 guestfs_network=1 TERM=xterm == *guestfs_nooot=1* ]]
+ [[ panic=1 console=ttyS0 udevtimeout=6000 udev.event-timeout=6000 no_timer_check lpj=2693509 printk.time=1 cgroup_disable=memory usbcore.nousb cryptomgr.notests 8250.nr_uarts=1 root=/dev/sdb selinux=0 guestfs_verbose=1 guestfs_network=1 TERM=xterm == *guestfs_boot_nalysis=1* ]]
+ '[' '!' -d /sys ']'
+ mkdir -p /sys
+ mount -t sysfs /sys /sys
+ mkdir -p /run
+ mount -t tmpfs -o nosuid,size=20%,mode=0755 tmpfs /run
+ mkdir -p /run/lock
+ ln -s ../run/lock /var/lock
+ test -e /etc/mtab
+ mount -t devtmpfs /dev /dev
+ [[ panic=1 console=ttyS0 udevtimeout=6000 udev.event-timeout=6000 no_timer_check lpj=2693509 printk.time=1 cgroup_disable=memory usbcore.nousb cryptomgr.notests 8250.nr_uarts=1 root=/dev/sdb selinux=0 guestfs_verbose=1 guestfs_network=1 TERM=xterm == *selinux=1* ]]
+ mkdir - /run/tmpfiles.d
+ kmod static-nodes --format=tmpfiles --output=/run/tmpfiles.d/kmod.conf
++ dd if=/dev/urandom bs=16 count=1 status=none
++ od -x -A n
[    1.348853] input: ImExPS/2 Generic Explorer Mouse as /devices/platform/i8042/serio1/input/input1
+ machine_id=' ef38 b8e4 7474 f59e 65b7 e3f7 db14 3e26'
+ echo ef38b8e47474f59e65b7e3f7db143e26
+ systemd-tmpfiles --prefix=/dev --create --boot
+ for f in /lib/systemd/systemd-udevd /usr/lib/systemd/systemd-udevd /sbin/udevd /lib/udev/udevd /usr/lib/udev/udevd
+ '[' -x /lib/systemd/systemd-udevd ']'
+ UDEVD=/lib/systemd/systemd-udevd
+ break
+ '[' -z /lib/systemd/systemd-udevd ']'
+ /lib/systemd/systemd-udevd --daemon
starting version 219
specified group 'input' unknown
+ udevadm trigger
+ udevadm settle --timeout=600
[    2.260714] input: PC Speaker as /devices/platform/pcspkr/input/input2
[    2.402693] sd 2:0:0:0: Attached scsi generic sg0 type 0
[    2.402693] sd 2:0:1:0: Attached scsi generic sg1 type 0
[    2.606662] Error: Driver 'pcspkr' is already registered, aborting...
+ shopt -s nullglob
+ for f in '/sys/block/sd*/device/timeout'
+ echo 300
+ for f in '/sys/block/sd*/device/timeout'
+ echo 300
+ for f in '/sys/block/{h,s,ub,v}d*/queue/scheduler'
+ echo noop
+ for f in '/sys/block/{h,s,ub,v}d*/queue/scheduler'
+ echo noop
+ shopt -u nullglob
+ ip addr add 127.0.0.1/8 brd + dev lo scope host
+ ip link set dev lo up
+ ip addr add 169.254.2.10/16 brd + dev eth0 scope global
+ ip link set dev eth0 up
+ ip route add default via 169.254.2.2
+ echo nameserver 169.254.2.3
+ mdadm -As --auto=yes --run
mdadm: No arrays found in config file or automatically
+ modprobe dm_mod
[    4.120432] device-mapper: uevent: version 1.0.3
[    4.132430] device-mapper: ioctl: 4.34.0-ioctl (2015-10-28) initialised: dm-devel@redhat.com
+ lvm vgchange -aay --sysinit
  WARNING: Failed to connect to lvmetad. Falling back to device scanning.
+ ldmtool create all
/init: line 136: ldmtool: command not found
+ test 1 = 1
+ test '' '!=' 1
+ uname -a
Linux (none) 3.10.0-514.el7.x86_64 #1 SMP Wed Oct 19 11:24:13 EDT 2016 x86_64 x86_64 x86_64 GNU/Linux
+ ls -lR /dev
/dev:
total 0
crw------- 1 root root  10, 235 Nov 28 13:45 autofs
drwxr-xr-x 2 root root       80 Nov 28 13:45 block
drwxr-xr-x 2 root root       80 Nov 28 13:45 bsg
crw------- 1 root root  10, 234 Nov 28 13:45 btrfs-control
drwxr-xr-x 3 root root       60 Nov 28 13:45 bus
drwxr-xr-x 2 root root     2260 Nov 28 13:45 char
crw------- 1 root root   5,   1 Nov 28 13:45 console
lrwxrwxrwx 1 root root       11 Nov 28 13:45 core -> /proc/kcore
drwxr-xr-x 3 root root       60 Nov 28 13:45 cpu
crw------- 1 root root  10,  61 Nov 28 13:45 cpu_dma_latency
crw------- 1 root root  10,  62 Nov 28 13:45 crash
drwxr-xr-x 5 root root      100 Nov 28 13:45 disk
lrwxrwxrwx 1 root root       13 Nov 28 13:45 fd -> /proc/self/fd
crw-rw-rw- 1 root root   1,   7 Nov 28 13:45 full
crw-rw-rw- 1 root root  10, 229 Nov 28 13:45 fuse
crw------- 1 root root  10, 183 Nov 28 13:45 hwrng
drwxr-xr-x 3 root root      160 Nov 28 13:45 input
crw-r--r-- 1 root root   1,  11 Nov 28 13:45 kmsg
crw------- 1 root root  10, 232 Nov 28 13:45 kvm
crw-rw---- 1 root disk  10, 237 Nov 28 13:45 loop-control
drwxr-xr-x 2 root root       60 Nov 28 13:45 mapper
crw------- 1 root root  10, 227 Nov 28 13:45 mcelog
crw------- 1 root root   1,   1 Nov 28 13:45 mem
drwxr-xr-x 2 root root       60 Nov 28 13:45 net
crw------- 1 root root  10,  60 Nov 28 13:45 network_latency
crw------- 1 root root  10,  59 Nov 28 13:45 network_throughput
crw-rw-rw- 1 root root   1,   3 Nov 28 13:45 null
crw------- 1 root root  10, 144 Nov 28 13:45 nvram
crw------- 1 root root   1,  12 Nov 28 13:45 oldmem
crw------- 1 root root   1,   4 Nov 28 13:45 port
crw------- 1 root root 108,   0 Nov 28 13:45 ppp
crw-rw-rw- 1 root root   5,   2 Nov 28 13:45 ptmx
crw-rw-rw- 1 root root   1,   8 Nov 28 13:45 random
drwxr-xr-x 2 root root       60 Nov 28 13:45 raw
lrwxrwxrwx 1 root root        4 Nov 28 13:45 rtc -> rtc0
crw------- 1 root root 253,   0 Nov 28 13:45 rtc0
brw------- 1 root root   8,   0 Nov 28 13:45 sda
brw------- 1 root root   8,  16 Nov 28 13:45 sdb
crw-rw---- 1 root disk  21,   0 Nov 28 13:45 sg0
crw-rw---- 1 root disk  21,   1 Nov 28 13:45 sg1
crw------- 1 root root  10, 231 Nov 28 13:45 snapshot
drwxr-xr-x 2 root root       80 Nov 28 13:45 snd
lrwxrwxrwx 1 root root       15 Nov 28 13:45 stderr -> /proc/self/fd/2
lrwxrwxrwx 1 root root       15 Nov 28 13:45 stdin -> /proc/self/fd/0
lrwxrwxrwx 1 root root       15 Nov 28 13:45 stdout -> /proc/self/fd/1
crw-rw-rw- 1 root root   5,   0 Nov 28 13:45 tty
crw------- 1 root root   4,   0 Nov 28 13:45 tty0
crw------- 1 root root   4,   1 Nov 28 13:45 tty1
crw------- 1 root root   4,  10 Nov 28 13:45 tty10
crw------- 1 root root   4,  11 Nov 28 13:45 tty11
crw------- 1 root root   4,  12 Nov 28 13:45 tty12
crw------- 1 root root   4,  13 Nov 28 13:45 tty13
crw------- 1 root root   4,  14 Nov 28 13:45 tty14
crw------- 1 root root   4,  15 Nov 28 13:45 tty15
crw------- 1 root root   4,  16 Nov 28 13:45 tty16
crw------- 1 root root   4,  17 Nov 28 13:45 tty17
crw------- 1 root root   4,  18 Nov 28 13:45 tty18
crw------- 1 root root   4,  19 Nov 28 13:45 tty19
crw------- 1 root root   4,   2 Nov 28 13:45 tty2
crw------- 1 root root   4,  20 Nov 28 13:45 tty20
crw------- 1 root root   4,  21 Nov 28 13:45 tty21
crw------- 1 root root   4,  22 Nov 28 13:45 tty22
crw------- 1 root root   4,  23 Nov 28 13:45 tty23
crw------- 1 root root   4,  24 Nov 28 13:45 tty24
crw------- 1 root root   4,  25 Nov 28 13:45 tty25
crw------- 1 root root   4,  26 Nov 28 13:45 tty26
crw------- 1 root root   4,  27 Nov 28 13:45 tty27
crw------- 1 root root   4,  28 Nov 28 13:45 tty28
crw------- 1 root root   4,  29 Nov 28 13:45 tty29
crw------- 1 root root   4,   3 Nov 28 13:45 tty3
crw------- 1 root root   4,  30 Nov 28 13:45 tty30
crw------- 1 root root   4,  31 Nov 28 13:45 tty31
crw------- 1 root root   4,  32 Nov 28 13:45 tty32
crw------- 1 root root   4,  33 Nov 28 13:45 tty33
crw------- 1 root root   4,  34 Nov 28 13:45 tty34
crw------- 1 root root   4,  35 Nov 28 13:45 tty35
crw------- 1 root root   4,  36 Nov 28 13:45 tty36
crw------- 1 root root   4,  37 Nov 28 13:45 tty37
crw------- 1 root root   4,  38 Nov 28 13:45 tty38
crw------- 1 root root   4,  39 Nov 28 13:45 tty39
crw------- 1 root root   4,   4 Nov 28 13:45 tty4
crw------- 1 root root   4,  40 Nov 28 13:45 tty40
crw------- 1 root root   4,  41 Nov 28 13:45 tty41
crw------- 1 root root   4,  42 Nov 28 13:45 tty42
crw------- 1 root root   4,  43 No28 13:45 tty43
crw------- 1 root root   4,  44 Nov 28 13:45 tty44
crw------- 1 root root   4,  45 Nov 28 13:45 tty45
crw------- 1 root root   4,  46 Nov 28 13:45 tty46
crw------- 1 root root   4,  47 Nov 28 13:45 tty47
crw------- 1 root root   4,  48 Nov 28 13:45 tty48
crw------- 1 root root   4,  49 Nov 28 13:45 tty49
crw------- 1 root root   4,   5 Nov 28 13:45 tty5
crw------- 1 root root   4,  50 Nov 28 13:45 tty50
crw------- 1 root root   4,  51 Nov 28 13:45 tty51
crw------- 1 root root   4,  52 Nov 28 13:45 tty52
crw------- 1 root root   4,  53 Nov 28 13:45 tty53
crw------- 1 root root   4,  54 Nov 28 13:45 tty54
crw------- 1 root root   4,  55 Nov 28 13:45 tty55
crw------- 1 root ot   4,  56 Nov 28 13:45 tty56
crw------- 1 root root   4,  57 Nov 28 13:45 tty57
crw------- 1 root root   4,  58 Nov 28 13:45 tty58
crw------- 1 root root   4,  59 Nov 28 13:45 tty59
crw------- 1 root root   4,   6 Nov 28 13:45 tty6
crw------- 1 root root   4,  60 Nov 28 3:45 tty60
crw------- 1 root root   4,  61 Nov 28 13:45 tty61
crw------- 1 root root   4,  62 Nov 28 13:45 tty62
crw------- 1 root root   4,  63 Nov 28 13:45 tty63
crw------- 1 root root   4,   7 Nov 28 13:45 tty7
crw------- 1 root root   4,   8 Nov 28 13:45 tty8
crw-----1 root root   4,   9 Nov 28 13:45 tty9
crw------- 1 root root   4,  64 Nov 28 13:45 ttyS0
crw------- 1 root root  10, 239 Nov 28 13:45 uhid
crw------- 1 root root  10, 223 Nov 28 13:45 uinput
crw-rw-rw- 1 root root   1,   9 Nov 28 13:45 urandom
crw------- 1 root root 250,  0 Nov 28 13:45 usbmon0
crw------- 1 root root 250,   1 Nov 28 13:45 usbmon1
crw------- 1 root root   7,   0 Nov 28 13:45 vcs
crw------- 1 root root   7,   1 Nov 28 13:45 vcs1
crw------- 1 root root   7, 128 Nov 28 13:45 vcsa
crw------- 1 root root   7, 129 Nov 28 13:45 vc
drwxr-xr-x 2 root root       60 Nov 28 13:45 vfio
crw------- 1 root root  10,  63 Nov 28 13:45 vga_arbiter
crw------- 1 root root  10, 137 Nov 28 13:45 vhci
crw------- 1 root root  10, 238 Nov 28 13:45 vhost-net
drwxr-xr-x 2 root root       60 Nov 28 13:45 virtio-ports
cw------- 1 root root 246,   1 Nov 28 13:45 vport2p1
crw-rw-rw- 1 root root   1,   5 Nov 28 13:45 zero

/dev/block:
total 0
lrwxrwxrwx 1 root root 6 Nov 28 13:45 8:0 -> ../sda
lrwxrwxrwx 1 root root 6 Nov 28 13:45 8:16 -> ../sdb

/dev/bsg:
total 0
crw------- 1 root roo51, 0 Nov 28 13:45 2:0:0:0
crw------- 1 root root 251, 1 Nov 28 13:45 2:0:1:0

/dev/bus:
total 0
drwxr-xr-x 3 root root 60 Nov 28 13:45 usb

/dev/bus/usb:
total 0
drwxr-xr-x 2 root root 60 Nov 28 13:45 001

/dev/bus/usb/001:
total 0
crw------- 1 root root 189, 0 No 28 13:45 001

/dev/char:
total 0
lrwxrwxrwx 1 root root  8 Nov 28 13:45 10:144 -> ../nvram
lrwxrwxrwx 1 root root  8 Nov 28 13:45 10:183 -> ../hwrng
lrwxrwxrwx 1 root root  9 Nov 28 13:45 10:227 -> ../mcelog
lrwxrwxrwx 1 root root 11 Nov 28 13:45 10:231 -> ../snapshot
xrwxrwx 1 root root  6 Nov 28 13:45 10:232 -> ../kvm
lrwxrwxrwx 1 root root  9 Nov 28 13:45 10:235 -> ../autofs
lrwxrwxrwx 1 root root 17 Nov 28 13:45 10:236 -> ../mapper/control
lrwxrwxrwx 1 root root 21 Nov 28 13:45 10:59 -> ../network_throughput
lrwxrwxrwx 1 root root 18Nov 28 13:45 10:60 -> ../network_latency
lrwxrwxrwx 1 root root 18 Nov 28 13:45 10:61 -> ../cpu_dma_latency
lrwxrwxrwx 1 root root  8 Nov 28 13:45 10:62 -> ../crash
lrwxrwxrwx 1 root root 14 Nov 28 13:45 10:63 -> ../vga_arbiter
lrwxrwxrwx 1 root root 12 Nov 28 13:45 116:33 ../snd/timer
lrwxrwxrwx 1 root root 15 Nov 28 13:45 13:32 -> ../input/mouse0
lrwxrwxrwx 1 root root 13 Nov 28 13:45 13:63 -> ../input/mice
lrwxrwxrwx 1 root root 15 Nov 28 13:45 13:64 -> ../input/event0
lrwxrwxrwx 1 root root 15 Nov 28 13:45 13:65 -> ../input/event1
lrwxrwrwx 1 root root 15 Nov 28 13:45 13:66 -> ../input/event2
lrwxrwxrwx 1 root root 13 Nov 28 13:45 162:0 -> ../raw/rawctl
lrwxrwxrwx 1 root root 18 Nov 28 13:45 189:0 -> ../bus/usb/001/001
lrwxrwxrwx 1 root root  6 Nov 28 13:45 1:1 -> ../mem
lrwxrwxrwx 1 root root  7 Nov 28 13 1:11 -> ../kmsg
lrwxrwxrwx 1 root root  9 Nov 28 13:45 1:12 -> ../oldmem
lrwxrwxrwx 1 root root  7 Nov 28 13:45 1:3 -> ../null
lrwxrwxrwx 1 root root  7 Nov 28 13:45 1:4 -> ../port
lrwxrwxrwx 1 root root  7 Nov 28 13:45 1:5 -> ../zero
lrwxrwxrwx 1 root root  7 Nov 28 13:4 1:7 -> ../full
lrwxrwxrwx 1 root root  9 Nov 28 13:45 1:8 -> ../random
lrwxrwxrwx 1 root root 10 Nov 28 13:45 1:9 -> ../urandom
lrwxrwxrwx 1 root root 12 Nov 28 13:45 202:0 -> ../cpu/0/msr
lrwxrwxrwx 1 root root 14 Nov 28 13:45 203:0 -> ../cpu/0/cpuid
lrwxrwxrwx 1 root ro 6 Nov 28 13:45 21:0 -> ../sg0
lrwxrwxrwx 1 root root  6 Nov 28 13:45 21:1 -> ../sg1
lrwxrwxrwx 1 root root 11 Nov 28 13:45 246:1 -> ../vport2p1
lrwxrwxrwx 1 root root 10 Nov 28 13:45 250:0 -> ../usbmon0
lrwxrwxrwx 1 root root 10 Nov 28 13:45 250:1 -> ../usbmon1
lrwxrwxrwx1 root root 14 Nov 28 13:45 251:0 -> ../bsg/2:0:0:0
lrwxrwxrwx 1 root root 14 Nov 28 13:45 251:1 -> ../bsg/2:0:1:0
lrwxrwxrwx 1 root root  7 Nov 28 13:45 253:0 -> ../rtc0
lrwxrwxrwx 1 root root  7 Nov 28 13:45 4:0 -> ../tty0
lrwxrwxrwx 1 root root  7 Nov 28 13:45 4:1 -> ../1
lrwxrwxrwx 1 root root  8 Nov 28 13:45 4:10 -> ../tty10
lrwxrwxrwx 1 root root  8 Nov 28 13:45 4:11 -> ../tty11
lrwxrwxrwx 1 root root  8 Nov 28 13:45 4:12 -> ../tty12
lrwxrwxrwx 1 root root  8 Nov 28 13:45 4:13 -> ../tty13
lrwxrwxrwx 1 root root  8 Nov 28 13:45 4:14 -> ./tty14
lrwxrwxrwx 1 root root  8 Nov 28 13:45 4:15 -> ../tty15
lrwxrwxrwx 1 root root  8 Nov 28 13:45 4:16 -> ../tty16
lrwxrwxrwx 1 root root  8 Nov 28 13:45 4:17 -> ../tty17
lrwxrwxrwx 1 root root  8 Nov 28 13:45 4:18 -> ../tty18
lrwxrwxrwx 1 root root  8 Nov 28 13:45 4:-> ../tty19
lrwxrwxrwx 1 root root  7 Nov 28 13:45 4:2 -> ../tty2
lrwxrwxrwx 1 root root  8 Nov 28 13:45 4:20 -> ../tty20
lrwxrwxrwx 1 root root  8 Nov 28 13:45 4:21 -> ../tty21
lrwxrwxrwx 1 root root  8 Nov 28 13:45 4:22 -> ../tty22
lrwxrwxrwx 1 root root  8 Nov 28 13:45 :23 -> ../tty23
lrwxrwxrwx 1 root root  8 Nov 28 13:45 4:24 -> ../tty24
lrwxrwxrwx 1 root root  8 Nov 28 13:45 4:25 -> ../tty25
lrwxrwxrwx 1 root root  8 Nov 28 13:45 4:26 -> ../tty26
lrwxrwxrwx 1 root root  8 Nov 28 13:45 4:27 -> ../tty27
lrwxrwxrwx 1 root root  8 Nov 28 45 4:28 -> ../tty28
lrwxrwxrwx 1 root root  8 Nov 28 13:45 4:29 -> ../tty29
lrwxrwxrwx 1 root root  7 Nov 28 13:45 4:3 -> ../tty3
lrwxrwxrwx 1 root root  8 Nov 28 13:45 4:30 -> ../tty30
lrwxrwxrwx 1 root root  8 Nov 28 13:45 4:31 -> ../tty31
lrwxrwxrwx 1 root root  8 Nov 2 13:45 4:32 -> ../tty32
lrwxrwxrwx 1 root root  8 Nov 28 13:45 4:33 -> ../tty33
lrwxrwxrwx 1 root root  8 Nov 28 13:45 4:34 -> ../tty34
lrwxrwxrwx 1 root root  8 Nov 28 13:45 4:35 -> ../tty35
lrwxrwxrwx 1 root root  8 Nov 28 13:45 4:36 -> ../tty36
lrwxrwxrwx 1 root root  8v 28 13:45 4:37 -> ../tty37
lrwxrwxrwx 1 root root  8 Nov 28 13:45 4:38 -> ../tty38
lrwxrwxrwx 1 root root  8 Nov 28 13:45 4:39 -> ../tty39
lrwxrwxrwx 1 root root  7 Nov 28 13:45 4:4 -> ../tty4
lrwxrwxrwx 1 root root  8 Nov 28 13:45 4:40 -> ../tty40
lrwxrwxrwx 1 root root 8 Nov 28 13:45 4:41 -> ../tty41
lrwxrwxrwx 1 root root  8 Nov 28 13:45 4:42 -> ../tty42
lrwxrwxrwx 1 root root  8 Nov 28 13:45 4:43 -> ../tty43
lrwxrwxrwx 1 root root  8 Nov 28 13:45 4:44 -> ../tty44
lrwxrwxrwx 1 root root  8 Nov 28 13:45 4:45 -> ../tty45
lrwxrwxrwx 1 rootot  8 Nov 28 13:45 4:46 -> ../tty46
lrwxrwxrwx 1 root root  8 Nov 28 13:45 4:47 -> ../tty47
lrwxrwxrwx 1 root root  8 Nov 28 13:45 4:48 -> ../tty48
lrwxrwxrwx 1 root root  8 Nov 28 13:45 4:49 -> ../tty49
lrwxrwxrwx 1 root root  7 Nov 28 13:45 4:5 -> ../tty5
lrwxrwxrwx 1 rot root  8 Nov 28 13:45 4:50 -> ../tty50
lrwxrwxrwx 1 root root  8 Nov 28 13:45 4:51 -> ../tty51
lrwxrwxrwx 1 root root  8 Nov 28 13:45 4:52 -> ../tty52
lrwxrwxrwx 1 root root  8 Nov 28 13:45 4:53 -> ../tty53
lrwxrwxrwx 1 root root  8 Nov 28 13:45 4:54 -> ../tty54
lrwxrwxrw root root  8 Nov 28 13:45 4:55 -> ../tty55
lrwxrwxrwx 1 root root  8 Nov 28 13:45 4:56 -> ../tty56
lrwxrwxrwx 1 root root  8 Nov 28 13:45 4:57 -> ../tty57
lrwxrwxrwx 1 root root  8 Nov 28 13:45 4:58 -> ../tty58
lrwxrwxrwx 1 root root  8 Nov 28 13:45 4:59 -> ../tty59
lrwxrxrwx 1 root root  7 Nov 28 13:45 4:6 -> ../tty6
lrwxrwxrwx 1 root root  8 Nov 28 13:45 4:60 -> ../tty60
lrwxrwxrwx 1 root root  8 Nov 28 13:45 4:61 -> ../tty61
lrwxrwxrwx 1 root root  8 Nov 28 13:45 4:62 -> ../tty62
lrwxrwxrwx 1 root root  8 Nov 28 13:45 4:63 -> ../tty63
lrwxrwx 1 root root  8 Nov 28 13:45 4:64 -> ../ttyS0
lrwxrwxrwx 1 root root  7 Nov 28 13:45 4:7 -> ../tty7
lrwxrwxrwx 1 root root  7 Nov 28 13:45 4:8 -> ../tty8
lrwxrwxrwx 1 root root  7 Nov 28 13:45 4:9 -> ../tty9
lrwxrwxrwx 1 root root  6 Nov 28 13:45 5:0 -> ../tty
lrwxrwrwx 1 root root 10 Nov 28 13:45 5:1 -> ../console
lrwxrwxrwx 1 root root  7 Nov 28 13:45 5:2 -> ../ptmx
lrwxrwxrwx 1 root root  6 Nov 28 13:45 7:0 -> ../vcs
lrwxrwxrwx 1 root root  7 Nov 28 13:45 7:1 -> ../vcs1
lrwxrwxrwx 1 root root  7 Nov 28 13:45 7:128 -> ../vcsa
lrwxrwx 1 root root  8 Nov 28 13:45 7:129 -> ../vcsa1

/dev/cpu:
total 0
drwxr-xr-x 2 root root 80 Nov 28 13:45 0

/dev/cpu/0:
total 0
crw------- 1 root root 203, 0 Nov 28 13:45 cpuid
crw------- 1 root root 202, 0 Nov 28 13:45 msr

/dev/disk:
total 0
drwxr-xr-x 2 root rot 80 Nov 28 13:45 by-id
drwxr-xr-x 2 root root 80 Nov 28 13:45 by-path
drwxr-xr-x 2 root root 60 Nov 28 13:45 by-uuid

/dev/disk/by-id:
total 0
lrwxrwxrwx 1 root root 9 Nov 28 13:45 scsi-0QEMU_QEMU_HARDDISK_drive-scsi0-0-0-0 -> ../../sda
lrwxrwxrwx 1 root root 9 Nov 28 15 scsi-0QEMU_QEMU_HARDDISK_drive-scsi0-0-1-0 -> ../../sdb

/dev/disk/by-path:
total 0
lrwxrwxrwx 1 root root 9 Nov 28 13:45 virtio-pci-0000:00:03.0-scsi-0:0:0:0 -> ../../sda
lrwxrwxrwx 1 root root 9 Nov 28 13:45 virtio-pci-0000:00:03.0-scsi-0:0:1:0 -> ../../sdb

/dev/dis/by-uuid:
total 0
lrwxrwxrwx 1 root root 9 Nov 28 13:45 ba917590-c789-420b-aac8-bce3a61c672e -> ../../sdb

/dev/input:
total 0
drwxr-xr-x 2 root root    120 Nov 28 13:45 by-path
crw------- 1 root root 13, 64 Nov 28 13:45 event0
crw------- 1 root root 13, 65 Nov 28 13:45ent1
crw------- 1 root root 13, 66 Nov 28 13:45 event2
crw------- 1 root root 13, 63 Nov 28 13:45 mice
crw------- 1 root root 13, 32 Nov 28 13:45 mouse0

/dev/input/by-path:
total 0
lrwxrwxrwx 1 root root 9 Nov 28 13:45 platform-i8042-serio-0-event-kbd -> ../event0
lrwxwxrwx 1 root root 9 Nov 28 13:45 platform-i8042-serio-1-event-mouse -> ../event1
lrwxrwxrwx 1 root root 9 Nov 28 13:45 platform-i8042-serio-1-mouse -> ../mouse0
lrwxrwxrwx 1 root root 9 Nov 28 13:45 platform-pcspkr-event-spkr -> ../event2

/dev/mapper:
total 0
crw------- oot root 10, 236 Nov 28 13:45 control

/dev/net:
total 0
crw-rw-rw- 1 root root 10, 200 Nov 28 13:45 tun

/dev/raw:
total 0
crw------- 1 root root 162, 0 Nov 28 13:45 rawctl

/dev/snd:
total 0
crw-rw---- 1 root audio 116,  1 Nov 28 13:45 seq
crw-rw---- 1 root audio116, 33 Nov 28 13:45 timer

/dev/vfio:
total 0
crw------- 1 root root 10, 196 Nov 28 13:45 vfio

/dev/virtio-ports:
total 0
lrwxrwxrwx 1 root root 11 Nov 28 13:45 org.libguestfs.channel.0 -> ../vport2p1
+ cat /proc/mounts
rootfs / rootfs rw 0 0
proc /proc proc rw,reltime 0 0
/dev/root / ext2 rw,noatime 0 0
/proc /proc proc rw,relatime 0 0
/sys /sys sysfs rw,relatime 0 0
tmpfs /run tmpfs rw,nosuid,relatime,size=97700k,mode=755 0 0
/dev /dev devtmpfs rw,relatime,size=241820k,nr_inodes=60455,mode=755 0 0
+ lvm pvs
  WARNING: Failed to connect to lvmetad. Falling back to device scanning.
+ lvm vgs
  WARNING: Failed to connect to lvmetad. Falling back to device scanning.
+ lvm lvs
  WARNING: Failed to connect to lvmetad. Falling back to device scanning.
+ ip a
1: lo: <LOOPBACK,UP,LOWER_UP> mtu 65536 qdisc noqueue state UNKNOWN qlen 1
    link/loopback 00:00:00:00:00:00 brd 00:00:00:00:00:00
    inet 127.0.0.1/8 brd 127.255.255.255 scope host lo
       valid_lft forever preferred_lft forever
    inet6 ::1/128 scope host 
       valid_lft forever preferred_lft forever
2: eth0: <BROADCAST,MULTICAST,UP,LOWER_UP> mtu 1500 qdisc pfifo_fast state UP qlen 1000
    link/ether 52:54:00:12:34:56 brd ff:ff:ff:ff:ff:ff
    inet 169.254.2.10/16 brd 169.254.255.255 scope global eth0
       valid_lft forever preferred_lft forever
    inet6 fe80::5054:ff:fe12:3456/64 scope link tentative 
       valid_lft forever preferred_lft forever
+ ip r
default via 169.254.2.2 dev eth0 
169.254.0.0/16 dev eth0  proto kernel  scope link  src 169.254.2.10 
+ lsmod
Module                  Size  Used by
dm_mod                114430  0 
kvm_amd                64937  0 
snd_pcm               106416  0 
snd_timer              29819  1 snd_pcm
kvm                   554609  1 kvm_amd
sg                     40721  0 
snd                    83432  2 snd_timer,snd_pcm
soundcore              15047  1 snd
irqbypass              13503  1 kvm
serio_raw              13462  0 
pcspkr                 12718  0 
ata_generic            12910  0 
pata_acpi              13038  0 
libcrc32c              12644  0 
crc8                   12893  0 
crc_itu_t              12707  0 
crc_ccitt              12707  0 
ext4                  583546  1 
mbcache                14958  1 ext4
jbd2                  102945  1 ext4
virtio_pci             22913  0 
virtio_input           13247  0 
virtio_balloon         13834  0 
virtio_scsi            18361  1 
sd_mod                 46322  1 
crc_t10dif             12714  1 sd_mod
nd_pmem                13087  0 
nd_btt                 17929  1 nd_pmem
virtio_net             28024  0 
virtio_console         28115  0 
virtio_rng             13019  0 
virtio_blk             18156  0 
virtio_ring            21524  8 virtio_blk,virtio_net,virtio_pci,virtio_rng,virtio_balloon,virtio_input,virtio_console,virtio_scsi
virtio                 15008  8 virtio_blk,virtio_net,virtio_pci,virtio_rng,virtio_balloon,virtio_input,virtio_console,virtio_scsi
ata_piix               35038  0 
libata                247095  3 pata_acpi,ata_generic,ata_piix
libnvdimm             126631  2 nd_pmem,nd_btt
crct10dif_generic      12647  1 
crc32_generic          12714  0 
crct10dif_common       12595  2 crct10dif_generic,crc_t10dif
+ date
Mon Nov 28 13:45:09 UTC 2016
+ echo -n 'clocksource: '
clocksource: + cat /sys/devices/system/clocksource/clocksource0/current_clocksource
refined-jiffies
+ echo -n 'uptime: '
uptime: + cat /proc/uptime
4.99 0.29
+ test '' = 1
+ cmd=guestfsd
++ grep -Eo 'guestfs_channel=[^[:space:]]+' /proc/cmdline
+ eval
+ test x '!=' x
+ test 1 = 1
+ cmd='guestfsd --verbose'
+ test 1 = 1
+ cmd='guestfsd --verbose --network'
+ echo guestfsd --verbose --network
guestfsd --verbose --network
+ guestfsd --verbose --network
trying to open virtio-serial channel '/dev/virtio-ports/org.libguestfs.channel.0'
udevadm --debug settle
calling: settle
libguestfs: recv_from_daemon: received GUESTFS_LAUNCH_FLAG
libguestfs: appliance is up
libguestfs: trace: launch = 0
libguestfs: trace: shutdown
libguestfs: trace: internal_autosync
guestfsd: main_loop: new request, len 0x28
umount-all: /proc/mounts: fsname=rootfs dir=/ type=rootfs opts=rw freq=0 passno=0
umount-all: /proc/mounts: fsname=proc dir=/proc type=proc opts=rw,relatime freq=0 passno=0
umount-all: /proc/mounts: fsname=/dev/root dir=/ type=ext2 opts=rw,noatime freq=0 passno=0
umount-all: /proc/mounts: fsname=/proc dir=/proc type=proc opts=rw,relatime freq=0 passno=0
umount-all: /proc/mounts: fsname=/sys dir=/sys type=sysfs opts=rw,relatime freq=0 passno=0
umount-all: /proc/mounts: fsname=tmpfs dir=/run type=tmpfs opts=rw,nosuid,relatime,size=97700k,mode=755 freq=0 passno=0
umount-all: /proc/mounts: fsname=/dev dir=/dev type=devtmpfs opts=rw,relatime,size=241820k,nr_inodes=60455,mode=755 freq=0 passno=0
fsync /dev/sda
libguestfs: trace: internal_autosync = 0
libguestfs: calling virDomainDestroy flags=VIR_DOMAIN_DESTROY_GRACEFUL
libguestfs: trace: shutdown = 0
libguestfs: trace: close
libguestfs: closing guestfs handle 0x7f5befd5ee00 (state 0)
libguestfs: command: run: rm
libguestfs: command: run: \ -rf /tmp/libguestfsMki2DE

-----------------------------------------

Comment 6 Richard W.M. Jones 2016-11-28 14:01:41 UTC
There are a few things pointed out by my colleague.

In comment 0 we see errors like:

Could not access KVM kernel module: No such file or directory
failed to initialize KVM: No such file or directory
Back to tcg accelerator.

These are gone from comment 5.  So you might be running these
commands on another machine.

Also in comment 0 you are using LIBGUESTFS_BACKEND=direct whereas
in comment 3 and comment 5 you are using LIBGUESTFS_BACKEND=libvirt
(the default).

Both of these things will change the behaviour sufficiently that
the test results aren't useful.

So we really need the versions of everything, on the same machine,
and tested on the same machine with the same environment.

Comment 7 Star 2016-11-29 02:46:39 UTC
Dear Richard,

1. All log including comment 0,3, and 5 are collected on the same server.

2. Why did I use "LIBGUESTFS_BACKEND=direct" when I execute "virt-v2v -v -ic 'vpx://DOMAIN%5cACCOUNT@VC_SERVER/HQ/xxxx/esxi_host?no_verify=1' -o rhev -os 192.168.0.32:/LABKVM_Export_Domain --network rhevm WIN2012V2V" command ?
Because the system prompt me to use it.
the detailed infomation was as below.

=====================
[root@hqav2v02 ~]# virt-v2v -v -ic 'vpx://DOMAIN%5cACCOUNT@VC_SERVER/HQ/xxxx/esxi_host?no_verify=1' -o rhev -os 192.168.0.32:/LABKVM_Export_Domain --network rhevm WIN2012V2V
virt-v2v: libguestfs 1.32.7 (x86_64)
[   0.0] Opening the source -i libvirt -ic vpx://DOMAIN%5cACCOUNT@VC_SERVER/HQ/xxxx/esxi_host?no_verify=1 WIN2012V2V
input_libvirt_vcenter_https: source: scheme vpx server VC_SERVER
virt-v2v: error: because of libvirt bug 
https://bugzilla.redhat.com/show_bug.cgi?id=1134592 you must set this 
environment variable:

export LIBGUESTFS_BACKEND=direct

and then rerun the virt-v2v command.

If reporting bugs, run virt-v2v with debugging enabled and include the 
complete output:

  virt-v2v -v -x [...]
rm -rf '/var/tmp/null.TYjzaD'
libguestfs: closing guestfs handle 0x1a0d080 (state 0)
=======================

3. I don't know why I got the error message on comment 0.
"Could not access KVM kernel module: No such file or directory failed to initialize KVM: No such file or directory
Back to tcg accelerator."

Comment 8 Richard W.M. Jones 2016-11-29 08:41:56 UTC
That's fine.  Can you run:

  LIBGUESTFS_BACKEND=direct guestfish -v -x --network -a /dev/null run

so that the test uses the same code path as virt-v2v.  Also make
sure you are running it as the same user as virt-v2v, root apparently.

Comment 9 Richard W.M. Jones 2016-11-29 08:50:40 UTC
Actually, please do, as root:

rm -rf /var/tmp/.guestfs-0
LIBGUESTFS_BACKEND=direct guestfish -v -x --network -a /dev/null run

and let us see the complete output from that.

Comment 10 Star 2016-11-29 09:30:29 UTC
Dear Richard,

thanks for your response.


I still stay on the status "iPXE (http://ipxe.org) 00:05.0 C100 PCI2.10 PnP PMM".

------------------------------------

[root@hqav2v02 ~]# LIBGUESTFS_BACKEND=direct guestfish -v -x --network -a /dev/null run
libguestfs: trace: set_network true
libguestfs: trace: set_network = 0
libguestfs: trace: set_pgroup true
libguestfs: trace: set_pgroup = 0
libguestfs: trace: add_drive "/dev/null"
libguestfs: trace: get_tmpdir
libguestfs: trace: get_tmpdir = "/tmp"
libguestfs: trace: disk_create "/tmp/libguestfsOhibXD/devnull1" "raw" 4096
libguestfs: trace: disk_create = 0
libguestfs: trace: add_drive = 0
libguestfs: trace: launch
libguestfs: trace: version
libguestfs: trace: version = <struct guestfs_version = major: 1, minor: 32, release: 7, extra: rhel=7,release=3.el7,libvirt, >
libguestfs: trace: get_backend
libguestfs: trace: get_backend = "direct"
libguestfs: launch: program=guestfish
libguestfs: launch: version=1.32.7rhel=7,release=3.el7,libvirt
libguestfs: launch: backend registered: unix
libguestfs: launch: backend registered: uml
libguestfs: launch: backend registered: libvirt
libguestfs: launch: backend registered: direct
libguestfs: launch: backend=direct
libguestfs: launch: tmpdir=/tmp/libguestfsOhibXD
libguestfs: launch: umask=0022
libguestfs: launch: euid=0
libguestfs: is_openable: /dev/kvm: No such file or directory
libguestfs: trace: get_backend_setting "force_tcg"
libguestfs: trace: get_backend_setting = NULL (error)
libguestfs: trace: get_cachedir
libguestfs: trace: get_cachedir = "/var/tmp"
libguestfs: begin building supermin appliance
libguestfs: run supermin
libguestfs: command: run: /usr/bin/supermin5
libguestfs: command: run: \ --build
libguestfs: command: run: \ --verbose
libguestfs: command: run: \ --if-newer
libguestfs: command: run: \ --lock /var/tmp/.guestfs-0/lock
libguestfs: command: run: \ --copy-kernel
libguestfs: command: run: \ -f ext2
libguestfs: command: run: \ --host-cpu x86_64
libguestfs: command: run: \ /usr/lib64/guestfs/supermin.d
libguestfs: command: run: \ -o /var/tmp/.guestfs-0/appliance.d
supermin: version: 5.1.16
supermin: rpm: detected RPM version 4.11
supermin: package handler: fedora/rpm
supermin: acquiring lock on /var/tmp/.guestfs-0/lock
supermin: if-newer: output does not need rebuilding
libguestfs: finished building supermin appliance
libguestfs: begin testing qemu features
libguestfs: command: run: /usr/libexec/qemu-kvm
libguestfs: command: run: \ -display none
libguestfs: command: run: \ -help
libguestfs: qemu version 1.5
libguestfs: command: run: /usr/libexec/qemu-kvm
libguestfs: command: run: \ -display none
libguestfs: command: run: \ -machine accel=kvm:tcg
libguestfs: command: run: \ -device ?
libguestfs: finished testing qemu features
libguestfs: trace: get_backend_setting "gdb"
libguestfs: trace: get_backend_setting = NULL (error)
libguestfs: command: run: dmesg | grep -Eoh 'lpj=[[:digit:]]+'
libguestfs: read_lpj_from_dmesg: calculated lpj=2693509
[00269ms] /usr/libexec/qemu-kvm \
    -global virtio-blk-pci.scsi=off \
    -nodefconfig \
    -enable-fips \
    -nodefaults \
    -display none \
    -machine accel=kvm:tcg \
    -m 500 \
    -no-reboot \
    -rtc driftfix=slew \
    -no-hpet \
    -global kvm-pit.lost_tick_policy=discard \
    -kernel /var/tmp/.guestfs-0/appliance.d/kernel \
    -initrd /var/tmp/.guestfs-0/appliance.d/initrd \
    -object rng-random,filename=/dev/urandom,id=rng0 \
    -device virtio-rng-pci,rng=rng0 \
    -device virtio-scsi-pci,id=scsi \
    -drive file=/tmp/libguestfsOhibXD/devnull1,cache=writeback,format=raw,id=hd0,if=none \
    -device scsi-hd,drive=hd0 \
    -drive file=/var/tmp/.guestfs-0/appliance.d/root,snapshot=on,id=appliance,cache=unsafe,if=none,format=raw \
    -device scsi-hd,drive=appliance \
    -device virtio-serial-pci \
    -serial stdio \
    -device sga \
    -chardev socket,path=/tmp/libguestfsOhibXD/guestfsd.sock,id=channel0 \
    -device virtserialport,chardev=channel0,name=org.libguestfs.channel.0 \
    -netdev user,id=usernet,net=169.254.0.0/16 \
    -device virtio-net-pci,netdev=usernet \
    -append 'panic=1 console=ttyS0 udevtimeout=6000 udev.event-timeout=6000 no_timer_check lpj=2693509 printk.time=1 cgroup_disable=memory usbcore.nousb cryptomgr.notests 8250.nr_uarts=1 root=/dev/sdb selinux=0 guestfs_verbose=1 guestfs_network=1 TERM=xterm'
Could not access KVM kernel module: No such file or directory
failed to initialize KVM: No such file or directory
Back to tcg accelerator.
libguestfs: responding to serial console Device Status Report
\x1b[1;256r\x1b[256;256H\x1b[6n
Google, Inc.
Serial Graphics Adapter 12/29/13
SGABIOS $Id: sgabios.S 8 2010-04-22 00:03:40Z nlaredo $ (mockbuild@) Sun Dec 29 03:43:06 UTC 2013
Term: 80x24
4 0
SeaBIOS (version 1.9.1-5.el7)


iPXE (http://ipxe.org) 00:05.0 C100 PCI2.10 PnP PMM

------------------------------------

Comment 11 Richard W.M. Jones 2016-11-29 10:17:11 UTC
And after removing the directory, see comment 9.

Comment 12 Star 2016-11-29 10:28:35 UTC
Dear Richard,

it was the same.
stay on the iPXE status......

-----------------------------
[root@hqav2v02 ~]# rm -rf /var/tmp/.guestfs-0
[root@hqav2v02 ~]# cd /var/tmp
[root@hqav2v02 tmp]# ls
null.30qfUm  null.Ay1boY  null.IE0HYY  null.p9So6a  systemd-private-e43fad45a0da41949b5f95e9b44a7af1-systemd-hostnamed.service-tDtlIk  v2vovl4880a1.qcow2  v2vovlbc5602.qcow2
null.6iMcuY  null.CLWVKo  null.iENJZm  null.VdviXz  systemd-private-e43fad45a0da41949b5f95e9b44a7af1-vmtoolsd.service-My8EuI           v2vovl540d92.qcow2  v2vovlda7e25.qcow2
null.70Pu2K  null.EFYpaJ  null.l6pLUK  null.Y9Jrvk  v2vovl442e8a.qcow2                                                                 v2vovl857173.qcow2  v2vovle8ff6c.qcow2
null.AqqDgs  null.Hs8N2y  null.lMWPEO  null.ZebbiT  v2vovl4872a1.qcow2                                                                 v2vovlb8f3a1.qcow2  v2vovlfbd88a.qcow2
[root@hqav2v02 tmp]# ls -al
total 3244
drwxrwxrwt. 20 root root   4096 Nov 29 05:24 .
drwxr-xr-x. 19 root root    267 Nov 29 05:24 ..
drwx------   2 root root      6 Nov 24 11:26 null.30qfUm
drwx------.  2 root root      6 Nov 24 02:28 null.6iMcuY
drwx------   2 root root      6 Nov 24 11:23 null.70Pu2K
drwx------.  2 root root      6 Nov 24 09:08 null.AqqDgs
drwx------.  2 root root      6 Nov 24 09:13 null.Ay1boY
drwx------.  2 root root      6 Nov 24 02:29 null.CLWVKo
drwx------.  2 root root      6 Nov 24 09:20 null.EFYpaJ
drwx------.  2 root root      6 Nov 24 11:10 null.Hs8N2y
drwx------.  2 root root      6 Nov 24 11:09 null.IE0HYY
drwx------.  2 root root      6 Nov 24 10:44 null.iENJZm
drwx------.  2 root root      6 Nov 24 04:59 null.l6pLUK
drwx------.  2 root root      6 Nov 24 10:41 null.lMWPEO
drwx------.  2 root root      6 Nov 24 04:45 null.p9So6a
drwx------.  2 root root      6 Nov 24 11:10 null.VdviXz
drwx------.  2 root root      6 Nov 24 10:39 null.Y9Jrvk
drwx------.  2 root root      6 Nov 24 04:40 null.ZebbiT
drwx------   3 root root     17 Nov 29 05:24 systemd-private-e43fad45a0da41949b5f95e9b44a7af1-systemd-hostnamed.service-tDtlIk
drwx------   3 root root     17 Nov 29 05:24 systemd-private-e43fad45a0da41949b5f95e9b44a7af1-vmtoolsd.service-My8EuI
-rw-------.  1 root root 393216 Nov 24 10:06 v2vovl442e8a.qcow2
-rw-------   1 root root 393216 Nov 24 20:48 v2vovl4872a1.qcow2
-rw-------.  1 root root 393216 Nov 24 09:13 v2vovl4880a1.qcow2
-rw-------   1 root root 393216 Nov 24 11:25 v2vovl540d92.qcow2
-rw-------.  1 root root 393216 Nov 24 08:56 v2vovl857173.qcow2
-rw-------.  1 root root 393216 Nov 24 09:14 v2vovlb8f3a1.qcow2
-rw-------.  1 root root 393216 Nov 24 11:08 v2vovlbc5602.qcow2
-rw-------.  1 root root 393216 Nov 24 04:54 v2vovlda7e25.qcow2
-rw-------.  1 root root 393216 Nov 24 10:43 v2vovle8ff6c.qcow2
-rw-------.  1 root root 393216 Nov 24 11:20 v2vovlfbd88a.qcow2
[root@hqav2v02 tmp]# LIBGUESTFS_BACKEND=direct guestfish -v -x --network -a /dev/null run
libguestfs: trace: set_network true
libguestfs: trace: set_network = 0
libguestfs: trace: set_pgroup true
libguestfs: trace: set_pgroup = 0
libguestfs: trace: add_drive "/dev/null"
libguestfs: trace: get_tmpdir
libguestfs: trace: get_tmpdir = "/tmp"
libguestfs: trace: disk_create "/tmp/libguestfsPF7XKv/devnull1" "raw" 4096
libguestfs: trace: disk_create = 0
libguestfs: trace: add_drive = 0
libguestfs: trace: launch
libguestfs: trace: version
libguestfs: trace: version = <struct guestfs_version = major: 1, minor: 32, release: 7, extra: rhel=7,release=3.el7,libvirt, >
libguestfs: trace: get_backend
libguestfs: trace: get_backend = "direct"
libguestfs: launch: program=guestfish
libguestfs: launch: version=1.32.7rhel=7,release=3.el7,libvirt
libguestfs: launch: backend registered: unix
libguestfs: launch: backend registered: uml
libguestfs: launch: backend registered: libvirt
libguestfs: launch: backend registered: direct
libguestfs: launch: backend=direct
libguestfs: launch: tmpdir=/tmp/libguestfsPF7XKv
libguestfs: launch: umask=0022
libguestfs: launch: euid=0
libguestfs: is_openable: /dev/kvm: No such file or directory
libguestfs: trace: get_backend_setting "force_tcg"
libguestfs: trace: get_backend_setting = NULL (error)
libguestfs: trace: get_cachedir
libguestfs: trace: get_cachedir = "/var/tmp"
libguestfs: begin building supermin appliance
libguestfs: run supermin
libguestfs: command: run: /usr/bin/supermin5
libguestfs: command: run: \ --build
libguestfs: command: run: \ --verbose
libguestfs: command: run: \ --if-newer
libguestfs: command: run: \ --lock /var/tmp/.guestfs-0/lock
libguestfs: command: run: \ --copy-kernel
libguestfs: command: run: \ -f ext2
libguestfs: command: run: \ --host-cpu x86_64
libguestfs: command: run: \ /usr/lib64/guestfs/supermin.d
libguestfs: command: run: \ -o /var/tmp/.guestfs-0/appliance.d
supermin: version: 5.1.16
supermin: rpm: detected RPM version 4.11
supermin: package handler: fedora/rpm
supermin: acquiring lock on /var/tmp/.guestfs-0/lock
supermin: build: /usr/lib64/guestfs/supermin.d
supermin: reading the supermin appliance
supermin: build: visiting /usr/lib64/guestfs/supermin.d/base.tar.gz type gzip base image (tar)
supermin: build: visiting /usr/lib64/guestfs/supermin.d/daemon.tar.gz type gzip base image (tar)
supermin: build: visiting /usr/lib64/guestfs/supermin.d/excludefiles type uncompressed excludefiles
supermin: build: visiting /usr/lib64/guestfs/supermin.d/hostfiles type uncompressed hostfiles
supermin: build: visiting /usr/lib64/guestfs/supermin.d/init.tar.gz type gzip base image (tar)
supermin: build: visiting /usr/lib64/guestfs/supermin.d/packages type uncompressed packages
supermin: build: visiting /usr/lib64/guestfs/supermin.d/udev-rules.tar.gz type gzip base image (tar)
supermin: build: visiting /usr/lib64/guestfs/supermin.d/zz-winsupport.tar.gz type gzip base image (tar)
supermin: mapping package names to installed packages
supermin: resolving full list of package dependencies
supermin: build: 198 packages, including dependencies
supermin: build: 31785 files
supermin: build: 8306 files, after matching excludefiles
supermin: build: 8312 files, after adding hostfiles
supermin: build: 8306 files, after removing unreadable files
supermin: build: 8346 files, after munging
supermin: kernel: picked kernel vmlinuz-3.10.0-514.el7.x86_64
supermin: kernel: picked modules path /lib/modules/3.10.0-514.el7.x86_64
supermin: kernel: kernel_version 3.10.0-514.el7.x86_64
supermin: kernel: modules /lib/modules/3.10.0-514.el7.x86_64
supermin: ext2: creating empty ext2 filesystem '/var/tmp/.guestfs-0/appliance.d.prjy8luf/root'
supermin: ext2: populating from base image
supermin: ext2: copying files from host filesystem
supermin: ext2: copying kernel modules
supermin: ext2: creating minimal initrd '/var/tmp/.guestfs-0/appliance.d.prjy8luf/initrd'
supermin: ext2: wrote 31 modules to minimal initrd
supermin: renaming /var/tmp/.guestfs-0/appliance.d.prjy8luf to /var/tmp/.guestfs-0/appliance.d
libguestfs: finished building supermin appliance
libguestfs: begin testing qemu features
libguestfs: command: run: /usr/libexec/qemu-kvm
libguestfs: command: run: \ -display none
libguestfs: command: run: \ -help
libguestfs: qemu version 1.5
libguestfs: command: run: /usr/libexec/qemu-kvm
libguestfs: command: run: \ -display none
libguestfs: command: run: \ -machine accel=kvm:tcg
libguestfs: command: run: \ -device ?
libguestfs: finished testing qemu features
libguestfs: trace: get_backend_setting "gdb"
libguestfs: trace: get_backend_setting = NULL (error)
libguestfs: command: run: dmesg | grep -Eoh 'lpj=[[:digit:]]+'
libguestfs: read_lpj_from_dmesg: calculated lpj=2693509
[54163ms] /usr/libexec/qemu-kvm \
    -global virtio-blk-pci.scsi=off \
    -nodefconfig \
    -enable-fips \
    -nodefaults \
    -display none \
    -machine accel=kvm:tcg \
    -m 500 \
    -no-reboot \
    -rtc driftfix=slew \
    -no-hpet \
    -global kvm-pit.lost_tick_policy=discard \
    -kernel /var/tmp/.guestfs-0/appliance.d/kernel \
    -initrd /var/tmp/.guestfs-0/appliance.d/initrd \
    -object rng-random,filename=/dev/urandom,id=rng0 \
    -device virtio-rng-pci,rng=rng0 \
    -device virtio-scsi-pci,id=scsi \
    -drive file=/tmp/libguestfsPF7XKv/devnull1,cache=writeback,format=raw,id=hd0,if=none \
    -device scsi-hd,drive=hd0 \
    -drive file=/var/tmp/.guestfs-0/appliance.d/root,snapshot=on,id=appliance,cache=unsafe,if=none,format=raw \
    -device scsi-hd,drive=appliance \
    -device virtio-serial-pci \
    -serial stdio \
    -device sga \
    -chardev socket,path=/tmp/libguestfsPF7XKv/guestfsd.sock,id=channel0 \
    -device virtserialport,chardev=channel0,name=org.libguestfs.channel.0 \
    -netdev user,id=usernet,net=169.254.0.0/16 \
    -device virtio-net-pci,netdev=usernet \
    -append 'panic=1 console=ttyS0 udevtimeout=6000 udev.event-timeout=6000 no_timer_check lpj=2693509 printk.time=1 cgroup_disable=memory usbcore.nousb cryptomgr.notests 8250.nr_uarts=1 root=/dev/sdb selinux=0 guestfs_verbose=1 guestfs_network=1 TERM=xterm'
Could not access KVM kernel module: No such file or directory
failed to initialize KVM: No such file or directory
Back to tcg accelerator.
libguestfs: responding to serial console Device Status Report
\x1b[1;256r\x1b[256;256H\x1b[6n
Google, Inc.
Serial Graphics Adapter 12/29/13
SGABIOS $Id: sgabios.S 8 2010-04-22 00:03:40Z nlaredo $ (mockbuild@) Sun Dec 29 03:43:06 UTC 2013
Term: 80x24
4 0
SeaBIOS (version 1.9.1-5.el7)


iPXE (http://ipxe.org) 00:05.0 C100 PCI2.10 PnP PMM

-----------------------------

Comment 13 Richard W.M. Jones 2016-11-29 10:53:47 UTC
The iPXE ROM (version ipxe-roms-qemu-20160127-5.git6366fa7a.el7.noarch)
is supposed to be printing:

  iPXE (http://ipxe.org) 00:05.0 C100 PCI2.10 PnP PMM+1F3975B0+1F2F75B0 C100

I looked at the source of ipxe and I believe it is running the
option ROM PnP code here:

  https://git.ipxe.org/ipxe.git/blob/HEAD:/src/arch/x86/prefix/romprefix.S#l359

Apparently the numbers being printed after "PMM" are the
segment address and length, so something strange happens
during the ROM move.

According to the above you have exactly the same version of
iPXE that I have.  I cannot reproduce the problem here.

Comment 17 Richard W.M. Jones 2017-06-24 11:54:32 UTC

*** This bug has been marked as a duplicate of bug 1464654 ***


Note You need to log in before you can comment on or make changes to this bug.